/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client;

public class MotCommandLineOptions {

	private static String[] args;

	public static void setOptions(String[] args) {
		MotCommandLineOptions.args = args;
	}
	
	public static String getLogFile() {
		if (args == null) return null;
		for (int i = 0; i < args.length; i++) {
			if (args[i].startsWith("-MotLogFile=") && args[i].length() > 13) {
				return args[i].substring(12);
			}
		}
		return null;
	}

	public static boolean getSkipLoadProgressWindow() {
		if (args == null) return false;
		for (int i = 0; i < args.length; i++) {
			if (args[i].startsWith("-MotSkipLoadProgress")) {
				return true;
			}
		}
		return false;
	}
	
	public static boolean getLogToStdOut() {
		if (args == null) return false;
		for (int i = 0; i < args.length; i++) {
			if (args[i].startsWith("-MotLogToStdOut")) {
				return true;
			}
		}
		return false;
	}
	
	public static String getMusic() {
		if (args == null) return null;
		for (int i = 0; i < args.length; i++) {
			if (args[i].startsWith("-Music=") && args[i].length() > 9) {
				return args[i].substring(8);
			}
		}
		return null;
	}
	
}
