/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.actions;

import mot.client.deligates.StellarObjectDelegate;
import mot.common.bean.Location;

/**
 * 
 */
public class ClientStellarObject {

	private StellarObjectDelegate stellarObject;
	private Location location;

	public ClientStellarObject(StellarObjectDelegate so, Location location) {
		this.stellarObject = so;
		this.location = location;
		
	}

	public StellarObjectDelegate getStellarObject() {
		return stellarObject;
	}

	public void setStellarObject(StellarObjectDelegate stellarObject) {
		this.stellarObject = stellarObject;
	}

	public Location getLocation() {
		return location;
	}

	public void setLocation(Location location) {
		this.location = location;
	}
}
