/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.collections;

import java.util.ArrayList;

import mot.client.deligates.StellarObjectDelegate;

public class StellarObjectDeligateList {

	private ArrayList data;
	private StellarObjectDelegate [] _data;
	
	public void add(StellarObjectDelegate v) {
		if (data == null) data = new ArrayList();
		data.add(v);
		_data = null;
	}
	
	public void remove(StellarObjectDelegate v) {
		if (data == null) return;
		data.remove(v);
		_data = null;
	}
	
	public void removeAll() {
		if (data == null) return;
		data.clear();
		_data = null;
	}
	
	public StellarObjectDelegate [] getAll() {
		if (data == null) return null;
		if (_data == null && data.size() > 0) {
			_data = (StellarObjectDelegate[]) data.toArray(new StellarObjectDelegate [data.size()]);
		}
		return _data;
	}
}
