/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.deligates;

import java.awt.Color;
import java.awt.Graphics2D;

import mot.client.bean.GalaxyMapLabelSizeDetails;
import mot.common.util.ApplicationError;

public interface LabeledObjectDelegate extends NamedObjectDelegate {
	
    /**
     * @return true if and only if this has one or more owners.
     */
    public boolean hasOwner() throws ApplicationError;
    
    /**
     * @return The color of the textual label for this object.
     */
    public Color getTextColor() throws ApplicationError;

    /**
     * @return The size of the text on the galaxy map used to render a label for this object
     */
    public GalaxyMapLabelSizeDetails getGalaxyMapLabelSizeDetails(Graphics2D graphics) throws ApplicationError;

}
