/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.deligates;

import mot.common.bean.DiplomaticHistory;
import mot.common.vo.RelationResearchAgreementVO;
import mot.common.vo.RelationTradeAgreementVO;

public interface RelationDelegate extends Delegate {
	
	public String getPlayerName1();
	public String getPlayerName2();
	public int getValue();
	public int getValuePlayer1();
	public int getValuePlayer2();
	public int getValueOtherPlayer(String owner);
    public boolean canHaveWarTreaty();   
    public boolean canHaveTradeTreaty();
    public boolean canHaveResearchTreaty();
    public boolean canHavePeaceTreaty();
    public boolean canHaveNonAgressionTreaty();
    public boolean canHaveAllianceTreaty();
    public boolean isWar();
	public boolean isNonAgression();
	public boolean isPeace();
	public boolean isAliance();
	public RelationTradeAgreementVO getTradeAgreement();
	public RelationResearchAgreementVO getResearchAgreement();
	public DiplomaticHistory getDiplomaticHistory();

	public boolean equals(String player1Name, String player2Name);
	public boolean contains(String playerName);
	public String getOtherPlayerName(String playerName);
	
}