/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.deligates;

import mot.client.deligates.cache.DeligateCacheManager;
import mot.common.designs.Orbital;
import mot.common.util.ApplicationError;
import mot.common.vo.StellarObjectOrbitalVO;

public class StellarObjectOrbitalDelegate implements Delegate {

	private StellarObjectOrbitalVO value;

	public StellarObjectOrbitalDelegate(StellarObjectOrbitalVO value) {
		this.value = value;
	}

	public Orbital getOrbital() throws ApplicationError {
		return value.getOrbital();
	}

	public PlayerDelegate getOwner() throws ApplicationError {
		return DeligateCacheManager.getPlayer(value.getOwner());
	}

	public String getOwnerName() throws ApplicationError {
		return value.getOwner();
	}
	

	public void updateStellarObjectOrbitalValue(StellarObjectOrbitalVO vo) {
		value = vo;
	}
}