/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.deligates.mot;

import mot.client.deligates.ComputerPlayerDelegate;
import mot.common.vo.ComputerPlayerVO;
import mot.common.vo.PlayerVO;

public class MotComputerPlayerDelegate extends MotPlayerDelegate implements ComputerPlayerDelegate {

	private ComputerPlayerVO player;
	
	public MotComputerPlayerDelegate() {
	}
	
	public MotComputerPlayerDelegate(ComputerPlayerVO vo) {
		player = vo;
	}

	@Override
	public boolean isAutomated() {
		return true;
	}

	@Override
	public boolean isMonsterPlayer() {
		ComputerPlayerVO value = getComputerPlayerValue();
		return value.isMonsterPlayer();
	}

	public ComputerPlayerVO getComputerPlayerValue() {
		return player;
	}
	
	@Override
	public PlayerVO getPlayerValue() {
		return player;
	}

	public void update(ComputerPlayerVO vo) {
		player = vo;
	}


}
