/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.sandbox.battle;

import mot.common.util.ApplicationError;
import mot.engine.battles.Battle;
import mot.engine.battles.BattleCraft;
import mot.engine.crafts.Craft;

public class SandboxBattleCraft extends BattleCraft {

	private int speed;
	private int turningSpeed;

	public SandboxBattleCraft(Battle battle, Craft craft, boolean attacker, int speed, int turningSpeed) throws ApplicationError {
		super(battle, craft, attacker);
		this.speed = speed;
		this.turningSpeed = turningSpeed;
	}

    public int getSpeed() throws ApplicationError {
        return speed;
    }
    
    public int getTurningSpeed() throws ApplicationError {
    	return turningSpeed;
    }
    

}
