/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.sounds;

import java.util.ArrayList;
import java.util.Iterator;

import mot.common.util.ApplicationError;

public abstract class AbstractSound implements Sound {

	private ArrayList listeners;
	
	public void addListener(SoundFinishedEventListener l) {
		if (listeners == null) listeners = new ArrayList();
		listeners.add(l);
	}
	
	protected void broadcastFinishEvent() throws ApplicationError {
		if (listeners != null) {
			for (Iterator i = listeners.iterator(); i.hasNext();) {
				SoundFinishedEventListener e = (SoundFinishedEventListener) i.next();
				e.finished(this);
			}
		}
	}

}
