/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.sounds;

public class DamageSoundConfig extends SoundConfig {
	
	/**
	 * This is the percentage through the animation this sound should start.
	 * This should contain a value between 0.0 and 1.0.
	 */
	private double startPercent;

	public DamageSoundConfig() {
	}

	public DamageSoundConfig(String name, String value, double startPercent) {
		super(name, value);
	}

	public double getStartPercent() {
		return startPercent;
	}

	public void setStartPercent(double startPercent) {
		this.startPercent = startPercent;
	}

}
