/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.animation;

import mot.client.animation.BattleAnimation;
import mot.common.util.ApplicationError;
import mot.common.util.Logger;

/**
 * Causes a break between the animation list an a delay of one tick.
 */
public class DelayAnimation extends BattleAnimation {

    public DelayAnimation(int qtyTurns) {
        super(qtyTurns, true, 0, null);
        if (Logger.isDebug()) {
            Logger.logDebug("DelayAnimation.init()");
        }
    }

    public DelayAnimation() {
        super(0, true, 0, null);
        if (Logger.isDebug()) {
            Logger.logDebug("DelayAnimation.init()");
        }
    }

    public boolean isExclusive() {
        return true;
    }

    /**
     * Paints the damage animation and the target craft with its current damage
     */
    public void paintActive(Object painter) throws ApplicationError {
        //Logger.logDebug("DamageAnimation.paintActive() "+((WeaponFireEvent)getEvent()).getTarget().getName());
    }

	public void toString(StringBuffer sb) {
		sb.append("DelayAnimation");
	}
}