/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.animation.decorator;

import java.awt.Graphics2D;

import mot.client.animation.GraphicalAnimationContainer;
import mot.client.deligates.BattleObjectDelegate;
import mot.client.deligates.ImageObjectDelegate;
import mot.client.swing.common.ImageUtils;
import mot.common.bean.CraftState;
import mot.common.util.ApplicationError;

public class SpinCAD implements CraftAnimationDecorator {

    /**
     * The quantity of degrees the image is rotated by each animation stage.
     */
    private int step;
    
    public SpinCAD(int step) {
        this.step = step;
    }

    public void draw(GraphicalAnimationContainer container, Graphics2D graphics, int stage, BattleObjectDelegate target, ImageObjectDelegate selected, CraftState state) throws ApplicationError {
        int d = stage * step;
        ImageUtils.drawBattleObject(container, graphics, target, selected, state.getDamagePercent(), state.getShieldPercent(), state.getLocation(), state.getDirection()+d, state.getMovementDamagePercent(), state.getPsiDamagePercent(), state.getCrewPercent(), state.getPlayerColor(), state.getCloakedToPlayerNames(), state.getDecorators(), null, false);
    }
}