/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.animation.images;

import mot.client.swing.common.ImageUtils;
import mot.client.swing.config.ImageConfig;
import mot.common.bean.ImageObject;
import mot.common.bean.Location;
import mot.common.bean.Size;
import mot.common.util.ApplicationError;

public class FearImage extends ImageObject {

    /**
     * The size of this image
     */
    private ImageConfig config;
    
    public FearImage(ImageConfig config, Location location) {
        super(config.getName(), location);
        this.config = config;
    }

    public String getImage(boolean isVisible) {
        return config.getImage();
    }

    public Size getSize() throws ApplicationError {
        return config.getImageSize();
    }
    
    public String getDescription() {
        return getImage(true);
    }

    public String getElementName() { return null; }
 
    public String getImage() throws ApplicationError {
        return config.getImage();    
    }

    public int getDirection() { return ImageUtils.NO_ROTATION_DIRECTION; }
}