/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.buttons;

import javax.swing.JButton;

import mot.client.deligates.CraftDelegate;
import mot.common.util.ApplicationError;

public class CraftButton extends JButton {
    private CraftDelegate craft;

    public CraftButton(CraftDelegate craft) throws ApplicationError {
        if (craft == null) {
            throw new ApplicationError("CraftButton.init() Planet is null");
        }
        this.craft = craft;
     }

    public CraftDelegate getCraft() {
        return craft;
    }

    public void setCraft(CraftDelegate craft) {
        this.craft = craft;
    }

 }
