/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.combos;

import javax.swing.JComboBox;

import mot.common.lang.L;

public class PlanetListOrderCombo extends JComboBox {


    public PlanetListOrderCombo() {
        addItem(L.ORDER_BY_NAME);
        addItem(L.ORDER_BY_POPULATION);
        addItem(L.ORDER_BY_TERRAFORM);
        addItem(L.ORDER_BY_OUTPUT);
        setSelectedIndex(0);
    }
    
    public boolean isByName() {
        String v = ((String)getSelectedItem());
        return v != null && v.equals(L.ORDER_BY_NAME);
    }

    public boolean isByPopulation() {
        String v = ((String)getSelectedItem());
        return v != null && v.equals(L.ORDER_BY_POPULATION);
    }

    public boolean isByTerraform() {
        String v = ((String)getSelectedItem());
        return v != null && v.equals(L.ORDER_BY_TERRAFORM);
    }

    public boolean isByProductionOutput() {
        String v = ((String)getSelectedItem());
        return v != null && v.equals(L.ORDER_BY_OUTPUT);
    }

}