/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.common;

import java.awt.FlowLayout;

import javax.swing.JComponent;
import javax.swing.JPanel;

import mot.client.swing.buttons.MotAction;
import mot.client.swing.buttons.MotButton;

public class MotButtonPanel extends JPanel {

	public MotButtonPanel() {
		setLayout(new FlowLayout(FlowLayout.CENTER));
	}

	public MotButtonPanel(int flowAlignment) {
		setLayout(new FlowLayout(flowAlignment));
	}

	public MotButtonPanel(JComponent button1) {
		setLayout(new FlowLayout(FlowLayout.CENTER));
		add(button1);
	}

	public MotButtonPanel(JComponent button1, int flowAlignment) {
		setLayout(new FlowLayout(flowAlignment));
		add(button1);
	}

	public MotButtonPanel(JComponent button1, JComponent button2) {
		setLayout(new FlowLayout(FlowLayout.CENTER));
		add(button1);
		add(button2);
	}

	public MotButtonPanel(JComponent button1, JComponent button2, int flowAlignment) {
		setLayout(new FlowLayout(flowAlignment));
		add(button1);
		add(button2);
	}

	public MotButtonPanel(JComponent button1, JComponent button2, JComponent button3) {
		setLayout(new FlowLayout(FlowLayout.CENTER));
		add(button1);
		add(button2);
		add(button3);
	}

	public MotButtonPanel(JComponent button1, JComponent button2, JComponent button3, int flowAlignment) {
		setLayout(new FlowLayout(flowAlignment));
		add(button1);
		add(button2);
		add(button3);
	}

	public MotButtonPanel(String action1Label, MotAction action1) {
		setLayout(new FlowLayout(FlowLayout.CENTER));
		add(new MotButtonGeneric(action1Label, action1));
	}

	public MotButtonPanel(String action1Label, MotAction action1, String action2Label, MotAction action2) {
		setLayout(new FlowLayout(FlowLayout.CENTER));
		add(new MotButtonGeneric(action1Label, action1));
		add(new MotButtonGeneric(action2Label, action2));
	}
	
	public void add(MotButton button) {
		super.add(button);
	}

	public void add(String actionLabel, MotAction action) {
		add(new MotButtonGeneric(actionLabel, action));
	}

}
