/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.common;

import javax.swing.JComponent;
import javax.swing.JLabel;

import mot.client.swing.labels.HtmlLabel;

public class NameControlDescriptionStack extends ComponentTable {

	public NameControlDescriptionStack(String name, JComponent component, String htmlDescription) {
		super("-", 3, 1, 0, 0, 0);
        add(new MotLabel(name, JLabel.LEFT), "HV");
        add(component, "HVPS");
        add(new HtmlLabel(htmlDescription), "HV");
	}

	public NameControlDescriptionStack(String name, JComponent component, JComponent htmlDescription) {
		super("-", 3, 1, 0, 0, 0);
        add(new MotLabel(name, JLabel.LEFT), "HV");
        add(component, "HVPS");
        add(htmlDescription, "HV");
	}

}
