/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.common;

import java.awt.Color;

import javax.swing.JComponent;
import javax.swing.JLabel;

public class NameControlH extends ComponentTable {

	public NameControlH(String name, JComponent component) {
		super("HV,HVSP", 1, 2, 0, 0, 0);
        add(new MotLabel(name, JLabel.LEFT));
        add(component);
	}

	public NameControlH(String name, JComponent component, Color background) {
		super("HV,HVSP", 2, 1, 0, 0, 0);
        MotLabel label = new MotLabel(name, JLabel.LEFT);
        label.setBackground(background);
		add(label);
        add(component);
        setBackground(background);
	}

	public NameControlH(String name, int nameSize, JComponent component, Color background) {
		super("HV,HVSP", 1, 2, 0, 0, 0);
        MotLabel label = new MotLabel(name, nameSize, null, null, JLabel.LEFT, true);
        label.setBackground(background);
		add(label);
        add(component);
        setBackground(background);
	}

	public NameControlH(String name, int nameSize, JComponent component) {
		super("HV,HVSP", 1, 2, 0, 0, 0);
        MotLabel label = new MotLabel(name, nameSize, null, null, JLabel.LEFT, true);
		add(label);
        add(component);
	}

	public NameControlH(String name, JComponent component, int gap) {
		super("HV, HV, HVSP", 1, 3, 0, 0, 0);
        add(new MotLabel(name, JLabel.LEFT));
        add(new PadPanel(gap, 1));
        add(component);
	}

}
