/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.common;

import java.util.ArrayList;

public class ObserverList {

	private ArrayList observers = new ArrayList();
	private Observer [] _observers = null;
	
	public void addObserver(Observer o) {
		observers.add(o);
		_observers = null;
	}
	
	public void removeObserver(Observer o) {
		observers.remove(o);
		_observers = null;
	}
	
	
	public Observer [] getObservers() {
		if (_observers == null && observers.size() > 0) {
			_observers = (Observer[]) observers.toArray(new Observer[observers.size()]);
		}
		return _observers;
	}
	
}
