/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.event.processors;

import mot.client.event.MotEventConsumer;
import mot.client.swing.event.SwingEventHandler;
import mot.client.swing.window.main.MainWindow;
import mot.common.event.FundsGoneEvent;
import mot.common.event.LinkedEventBase;
import mot.common.event.MotEvent;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class FundsGoneSwingEventProcessor implements SwingEventHandler {


	public void process(MotEvent e, MotEventConsumer processor, LinkedEventBase parent) throws ApplicationError, ValidationError {
        FundsGoneEvent event = (FundsGoneEvent)e;
        String locMsg = event.getPlanet() == null ? "" : L.AT+event.getPlanet();
		MainWindow.getInstance().showMessageGalaxy(L.YOU_HAVE_NOT_GOT_THE_FUNDS_TO_MAINTAIN_YOU_ASSETS_AND_STAFF_ARE_COMPLAINING_THEY_ARE_NOT_BEING_PAID_A_COMMANDER_HAS_REBELLED_AND_SOLD+event.getObject()+locMsg+L.TO_PAY_HIS_MEN_S_SALARY, true);
		MainWindow mainWindow = MainWindow.getInstance();
        mainWindow.repaint();
	}

}
