/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.icons;

import java.net.URL;

import javax.swing.ImageIcon;

import mot.client.swing.config.ImageConfig;
import mot.common.bean.Size;

public class MotImageIcon extends ImageIcon {

	private ImageConfig config = null;
	
    public MotImageIcon (ImageConfig config) {
        this(ClassLoader.getSystemResource(config.getImage()));
        this.config = config;
    }

    public MotImageIcon (ImageConfig config, Size size) {
        this(ClassLoader.getSystemResource(config.getImage()));
        this.config = config;
    }

    public MotImageIcon (String file) {
        this(ClassLoader.getSystemResource(file));
    }

    public MotImageIcon (URL url) {
        super(url.getFile());
    }

    public Size getSize() {
   		return config.getImageSize();
    }

	public ImageConfig getConfig() {
		return config;
	}

}
