/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.icons;

import java.util.HashMap;
import java.util.Map;

import mot.client.deligates.PlayerDelegate;
import mot.client.swing.config.ImageConfig;
import mot.client.swing.config.ImageConfigFactory;
import mot.common.util.ApplicationError;

public class RaceIconFactory {

    /**
     * Map of race name to RaceIcon for that race name.
     */
	private static Map icons = new HashMap();

    public static RaceIcon getIcon(PlayerDelegate player) throws ApplicationError {
    	return getIcon(player.getName());
    }
    
    public static RaceIcon getIcon(String raceName) throws ApplicationError {
    	RaceIcon icon = (RaceIcon) icons.get(raceName);
		if (icon == null) { 
    		ImageConfig config = ImageConfigFactory.getInstance().getRaceIconConfig(raceName);
    		icon = new RaceIcon(config);
    		icons.put(raceName, icon);
    	}
    	return icon;
    }
    
}