/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.labels;

import mot.client.deligates.PlanetDelegate;
import mot.client.swing.common.MotLabel;
import mot.common.util.ApplicationError;
import mot.common.util.Formatter;

public class PopulationLabel extends MotLabel {
    public PopulationLabel() {
    }
    
    public PopulationLabel(int sizeDiff, int alignment, boolean bold) {
    	super(null, sizeDiff, alignment, bold);
    }
    
    public PopulationLabel(PlanetDelegate planet) throws ApplicationError {
        update(planet);
    }

    public void update(PlanetDelegate planet) throws ApplicationError {
        int qtyEnrouteTo = planet.getQtyColonistsOnrouteTo();
        String text = Formatter.whole(planet.getPopulation());
        if (qtyEnrouteTo > 0) {
            int etaEnrouteTo = planet.getColonistsEtaOnrouteTo();
            text += " + "+qtyEnrouteTo+" [ETA "+etaEnrouteTo+"]";
        }
        setText(" of "+text);
    }
}