/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.lists;

import mot.client.swing.buttons.MotLabelButton;
import mot.client.swing.window.solarsystem.actions.ProjectChangeListener;
import mot.client.swing.window.solarsystem.actions.SelectProjectCraft;
import mot.common.designs.CraftDesign;
import mot.common.designs.CraftDesigns;
import mot.common.util.ApplicationError;

public class CraftDesignList extends FakeList {

    private ProjectChangeListener listener;

	public CraftDesignList(CraftDesign [] craftDesigns, CraftDesign selection, ProjectChangeListener listener) throws ApplicationError {
        this.listener = listener;
		update(craftDesigns, selection);
    }

    public void update(CraftDesigns craftDesigns, CraftDesign selection) throws ApplicationError {
    	update((craftDesigns != null) ? craftDesigns.getCraftDesigns() : null, selection);
    }
    
    public void update(CraftDesign [] craftDesigns, CraftDesign selection) throws ApplicationError {
        if ( craftDesigns == null ) return;
        MotLabelButton [] labels = new MotLabelButton[craftDesigns.length];
        for (int i=craftDesigns.length-1; i>=0; i--) {
        	labels[i] = new SelectProjectCraft(listener, craftDesigns[i]);
        }
        setContent(labels, selection);
    }
    
}