/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.lists;

import mot.client.deligates.MoveableOwnedObjectDelegate;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public interface MooListOwner {
	
	/**
	 * Called when a craft is selected (single click) in the list
	 */
    public void selectMoo(MoveableOwnedObjectDelegate moo) throws ApplicationError, ValidationError ;

    /**
	 * Called when a craft is executed (double click) in the list
	 */
    public void executeMoo(MoveableOwnedObjectDelegate moo) throws ApplicationError, ValidationError ;
    
	/**
	 * Called when a craft is removed from the list (there is an 
	 * optional special button rendered a craft list for this action).
	 */
    public void removeMoo(MoveableOwnedObjectDelegate moo) throws ApplicationError, ValidationError ;
}

