/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.panels;

import mot.client.deligates.PlayerDelegate;
import mot.client.swing.common.PanelUtils;
import mot.common.bean.Size;
import mot.common.util.ApplicationError;

/**
 * This is a picture panel that displays the image of an ancient race.
 * Note picture panel are fixed size panel - they do not resize with the container.
 */
public class AncientRacePanel extends RacePicturePanel {

    public AncientRacePanel(PlayerDelegate player, boolean withName) throws ApplicationError {
        super(getImageForRace(player.getAlignment()));
        if (withName) setText(player.getAlignment());
    }

    public AncientRacePanel(String ancientName, boolean withName) throws ApplicationError {
        super(getImageForRace(ancientName));
        if (withName) setText(ancientName);
    }

    public AncientRacePanel(String ancientName, boolean withName, Size size) throws ApplicationError {
        super(getImageForRace(ancientName));
        if (withName) setText(ancientName);
		PanelUtils.setTheBloodySize(this, size);
    }

    public AncientRacePanel() {
        super();
    }

}