/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.panels;

import javax.swing.JDesktopPane;

/**
 * A JInternalFrame must be added to a panel being displayed (in a
 * normal frame) to appear. This panel acts as a dialog tray in which 
 * to add JInternalFrame window.
 *
 * An instance of this class should be displayed in the main window.
 * This panel is designed to be a panel in which ocons for internal 
 * frames can appear. 
 */
public class DialogIconTray extends JDesktopPane {

	private static DialogIconTray _instance;
	
	public static DialogIconTray getInstance() {
		if (_instance == null) {
			_instance = new DialogIconTray();
		}
		return _instance;
	}
	
	private DialogIconTray() { }
}
