/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.panels;

import java.awt.FlowLayout;

import javax.swing.JPanel;

import mot.common.bean.stats.CraftQuantityData;
import mot.common.util.ApplicationError;

public class IconPanelCraftQuantity extends JPanel {
	
	public IconPanelCraftQuantity(CraftQuantityData [] crafts) throws ApplicationError {
		setLayout(new FlowLayout(FlowLayout.LEFT, 2, 0));
		
		if (crafts != null) {
			for (int i = 0; i < crafts.length; i++) {
				add(new CraftQuantityPanel(crafts[i]));
			}
		}
		
		setOpaque(false);
	}

}
