/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.panels;

import mot.client.swing.common.PanelUtils;
import mot.client.swing.config.ImageConfig;
import mot.client.swing.icons.MotImageIcon;
import mot.common.bean.Size;

public class ImagePanel extends BackgroundImagePanel {

	private String imageName;

	public ImagePanel() {
	}
	
	public ImagePanel(String imageName) {
		this.imageName = imageName;
	}

	public ImagePanel(String imageName, Size size) {
		this.imageName = imageName;
		PanelUtils.setTheBloodySize(this, size);
	}
	
	public ImagePanel(ImageConfig image) {
		if (image != null) {
			this.imageName = image.getImage();			
			PanelUtils.setTheBloodySize(this, image.getImageSize());
		}
	}
	
	protected void drawSizeRelativeObjects() {
	}

	protected String getImage() {
		return imageName;
	}

	public void setImage(String image) {
		imageName = image;
	}

	public void setImageIcon(MotImageIcon image) {
		imageName = image.getConfig().getImage();
	}

}
