/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.tables;

import javax.swing.table.AbstractTableModel;

import mot.common.technology.Technology;
import mot.common.technology.TechnologyList;

public abstract class TechnologyTableModel extends AbstractTableModel {

    private TechnologyList contents;

    public TechnologyTableModel(TechnologyList contents) {
        this.contents = contents;
    }
    
    public void updateModel(TechnologyList techs) {
        contents.removeAll();
        contents.add(techs);
    }
    
    public boolean contains(Technology tech) {
        return contents.contains(tech); 
    }

    public Technology getContentAtIndex(int index) {
        return contents.getTechnologyAtIndex(index);
    }

    public int getIndexOfTechnology(Technology tech) {
        return contents.getIndexOfTechnology(tech);
    }

    public TechnologyList getContents() {
        return contents;
    }
}