/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.tables;

import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.table.JTableHeader;

import mot.common.technology.Technology;

public class TechnologyTablePanel extends JPanel {

    private TechnologyTable table;

    public TechnologyTablePanel(TechnologyTable table, JTableHeader header) {
        this.table = table;
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        add(header);
        add(table, null);
    }


    public void setTable(TechnologyTable table) {
        this.table = table;
    }


    public TechnologyTable getTable() {
        return table;
    }

    public void clearSelection() {
        table.getSelectionModel().clearSelection();
    }

    public Technology getSelectedTechnology() {
        return table.getSelectedTechnology();
    }

    public void setSelectedTechnology(Technology tech) {
        table.setSelectedTechnology(tech);
    }

}