/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.tables;

import mot.common.technology.Theories;
import mot.common.technology.Theory;

public class TheoryTableModel extends TechnologyTableModel {
    private Theories content;

    public TheoryTableModel(Theories content) {
        super(content);
        this.content = content;
    }

    public int getColumnCount() {
        int qty = 2;
        return qty;
    }

    public int getRowCount() { return content.getQuantity(); }
    public Class getColumnClass(int c) { return String.class; }
    public boolean isCellEditable(int row, int col) { return false; }
    public String getColumnName(int column) {
        switch (column) {
        case 0:
            return "Name";
        case 1:
            return "Description";
        }
        return "X";
    }
    public Object getValueAt(int row, int col) {
        switch (col) {
        case 0:
            return content.getTheoryAtIndex(row).getName();
        case 1:
            Theory t = content.getTheoryAtIndex(row);
            if (t.getDescription() != null) {
                return t.getDescription();
            } else {
                return "Theory";
            }
        }
        return null;
    }
    public void setValueAt(Object value, int row, int col) {
    }
}
