/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.technology;

import mot.common.technology.Computer;
import mot.common.util.Formatter;
import mot.common.util.NameValuePair;

public class ComputerDetailsGrid extends TechnologyDetailsGrid {

	public ComputerDetailsGrid(Computer v, boolean fullName) {
		super(fullName ? v.getFullName() : v.getName(), v.getDescription(), getData(v));
	}
	
	private static NameValuePair[] getData(Computer v) {
		NameValuePair[] d = new NameValuePair[7];
		d[0] = new NameValuePair("Power", Formatter.nnv(v.getPower()));
		d[1] = new NameValuePair("Influence", Formatter.nnv(v.getInfluence()));
		d[2] = new NameValuePair("Commerce", Formatter.nnv(v.getCommerce()));
		d[3] = new NameValuePair("Space", ""+v.getSpace());
		d[4] = new NameValuePair("Cost to Build", ""+v.getCostToBuild());
		d[5] = new NameValuePair("Cost to Research", ""+v.getCostToResearch());
		d[6] = new NameValuePair("Maintenance Cost", ""+v.getMaintenanceCost());
		return d;
	}

}
