/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.technology;

import mot.common.technology.Shield;
import mot.common.util.Formatter;
import mot.common.util.NameValuePair;

public class ShieldDetailsGrid extends TechnologyDetailsGrid {

	public ShieldDetailsGrid(Shield v, boolean fullName) {
		super(fullName ? v.getFullName() : v.getName(), v.getDescription(), getData(v));
	}
	
	private static NameValuePair[] getData(Shield v) {
		NameValuePair[] d = new NameValuePair[10];
		d[0] = new NameValuePair("Power", ""+v.getPower());
		d[1] = new NameValuePair("Damage Blocked", ""+v.getDamageBlocked());
		d[2] = new NameValuePair("Recharge Rate", ""+v.getRechargeRate());
		d[3] = new NameValuePair("Discharge Rate", ""+v.getDischargeRate());
		d[4] = new NameValuePair("Psi Rating", ""+v.getPsiRating());
		d[5] = new NameValuePair("Cloak Level", ""+v.getCloakLevel());
		d[6] = new NameValuePair("Space", ""+v.getSpace());
		d[7] = new NameValuePair("Cost to Build", ""+v.getCostToBuild());
		d[8] = new NameValuePair("Cost to Research", ""+v.getCostToResearch());
		d[9] = new NameValuePair("Maintenance Cost", Formatter.nnv(v.getMaintenanceCost()));
		return d;
	}

}
