/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.technology;

import mot.common.technology.Weapon;
import mot.common.util.Formatter;
import mot.common.util.NameValuePair;

public class WeaponsDetailsGrid extends TechnologyDetailsGrid {

	public WeaponsDetailsGrid(Weapon v, boolean fullName) {
		super(fullName ? v.getFullName() : v.getName(), v.getDescription(), getData(v));
	}
	
	private static NameValuePair[] getData(Weapon v) {
		NameValuePair[] d = new NameValuePair[5];
		d[0] = new NameValuePair("Damage", ""+v.getDamage());
		d[0] = new NameValuePair("Range", ""+v.getRange());
		d[0] = new NameValuePair("Degredation", ""+v.getDegredation());
		d[0] = new NameValuePair("Variance", ""+v.getVariance());
		d[0] = new NameValuePair("Salvage Effect", Formatter.nnv(v.getSalvageEffect()));
		d[0] = new NameValuePair("Quantity of Shots", ""+v.getQtyShotsAsString());
		d[1] = new NameValuePair("Space", ""+v.getSpace());
		d[2] = new NameValuePair("Cost to Build", ""+v.getCostToBuild());
		d[3] = new NameValuePair("Cost to Research", ""+v.getCostToResearch());
		d[4] = new NameValuePair("Maintenance Cost", Formatter.nnv(v.getMaintenanceCost()));
		return d;
	}

}
