/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.common;

import mot.client.swing.window.main.MotConditionalAction;
import mot.common.util.ApplicationError;

public class MotConfirmationDialog {

//	public static void showInMainWindow(String msg, MotConditionalAction action) {
//		MainWindow mainWin = MainWindow.getExestingInstance();
//		mainWin.showQuestion(msg, action);
//	}

	public static boolean showInPopup(MotInternalWindow parent, String msg, String title) throws ApplicationError {
		return new MotConfirmationDialog()._showInPopup(parent, msg, title);
	}	

	private Boolean result;
	private MotConfirmationDialogPopup win;
	
	private boolean _showInPopup(MotInternalWindow parent, String msg, String title) throws ApplicationError {
    	MotConditionalAction yesAction = new MotConditionalAction() {
			public void execute() {
				result = Boolean.TRUE;
				win.hide();
			}
    	};
    	MotConditionalAction noAction = new MotConditionalAction() {
			public void execute() {
				result = Boolean.FALSE;
				win.hide();
			}
    	};
		win = new MotConfirmationDialogPopup(parent, msg, title, yesAction, noAction);
		win.show();
		win.waitUntilClosed();
		if (result != null) {
			return result.booleanValue();
		} else {
			return false;
		}
	}
	
}

