/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.common;

import java.awt.Dimension;

import javax.swing.JDialog;

import mot.client.deligates.UserPlayerDelegate;
import mot.common.util.ApplicationError;

public class MotDialog extends JDialog implements MotParent {
	
	//
	//private static MotDialogStack stack = new MotDialogStack();
	//public static MotDialog [] getDialogs() { return stack.getDialogs(); }
	//public static MotDialog getTopDialog() { return stack.getTop(); }

    protected UserPlayerDelegate owner;
    protected Object parentWindow;

    protected MotDialog(UserPlayerDelegate player, MotDialog parent, String title) throws ApplicationError {
        super(parent, title, true);
        this.owner = player;
        this.parentWindow = parent;
        WindowLocator.setToParent(this, parent);
        //stack.add(this);
        //DialogIconTray.getInstance().add(this);
        //parent.add(this);
    }
    
    protected MotDialog(UserPlayerDelegate player, MotFrame parent, String title) throws ApplicationError {
        super(parent.getWindow(), title, true);
        //setAlwaysOnTop(true);
        this.owner = player;
        this.parentWindow = parent;
        WindowLocator.setToParent(this, parent.getWindow());
       	//parent.add(this);
        //stack.add(this);
        //DialogIconTray.getInstance().add(this);
        //MainWindow.getInstance().getActiveConfiguration().getMainPanel().add(this);
    }

    protected MotDialog(UserPlayerDelegate player, MotDialog parent, String title, Dimension size) throws ApplicationError {
        super(parent, title, true);
        this.owner = player;
        this.parentWindow = parent;
        if (size != null) {
        	setSize(size);
        }
      	WindowLocator.setCenterOfParent(this, parent);
       	//parent.add(this);
        //stack.add(this);
        //DialogIconTray.getInstance().add(this);
        //parent.add(this);
    }
    
    protected MotDialog(UserPlayerDelegate player, MotFrame parent, String title, Dimension size) throws ApplicationError {
        super(parent.getWindow(), title, true);
        this.owner = player;
        this.parentWindow = parent;
        if (size != null) {
        	setSize(size);
        }
       	WindowLocator.setCenterOfParent(this, parent.getWindow());
       	//parent.add(this);
        //stack.add(this);
        //DialogIconTray.getInstance().add(this);
        //MainWindow.getInstance().getActiveConfiguration().getMainPanel().add(this);
    }

    public void setPlayer(UserPlayerDelegate player) {
        this.owner = player;
    }

    public UserPlayerDelegate getPlayer() {
        return owner;
    }
    
	public void hide() {
		super.setVisible(false);
		//stack.remove(this);
        //DialogIconTray.getInstance().remove(this);
	}
    
    
}