/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.common;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

public class SavedGameChooser extends JFileChooser {
    private SavedGameChooser() {
    }

    private static SavedGameChooser chooser = null;
    
    public static synchronized SavedGameChooser getSavedGameChooser() {
        if (chooser == null) {
            chooser = new SavedGameChooser();
            FileFilter filter = new FileFilter() {
                public boolean accept(File f) { return f.getName().endsWith(".mot") || f.isDirectory(); }
                public String getDescription() { return "Saved Game"; }
            };
            chooser.setFileFilter(filter);
            chooser.setCurrentDirectory(new File("."));
        }
        return chooser;
    }
    
}