/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.common.actions;

import java.awt.event.ActionListener;

import mot.client.swing.buttons.MotButton;
import mot.client.swing.window.common.MotInternalWindow;
import mot.client.swing.window.galaxy.MotGalaxyMapActions;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class ExitGameButton extends MotButton implements MotGalaxyMapActions, ActionListener {

    private static final String TEXT = "Exit";
    
    private MotInternalWindow parent;

    public ExitGameButton(MotInternalWindow parent) {
		setText(TEXT);
		this.parent = parent;
	}

	protected void _doAction() throws ApplicationError, ValidationError {
		parent.hide();
        System.exit(0);
	}

}
