/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.common.actions;

import mot.client.swing.buttons.MotButton;
import mot.client.swing.window.common.MotInputDialogPopup;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class MotInputDialogOKButton extends MotButton {

	private MotInputDialogPopup dialogBox;

	public MotInputDialogOKButton(MotInputDialogPopup dialogBox) {
		super(L.OK);
		this.dialogBox = dialogBox;
	}

	protected void _doAction() throws ApplicationError, ValidationError {
		dialogBox.hide();
	}

	public MotInputDialogPopup getDialogBox() {
		return dialogBox;
	}

}
