/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.craft;

import mot.client.deligates.PlayerDelegate;
import mot.client.proxy.CompletedCallback;
import mot.common.bean.CraftDesignStatistics;
import mot.common.designs.CraftDesign;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class CraftDesignStatsFetchComplete implements CompletedCallback {

	private CraftDesign cd;
	private CraftDesignPanel craftDesignPanel;
	private PlayerDelegate craftOwner;
	private PlayerDelegate craftOrigin;

	public CraftDesignStatsFetchComplete(CraftDesign cd, CraftDesignPanel craftDesignPanel, PlayerDelegate craftOwner, PlayerDelegate craftOrigin) {
		this.cd = cd;
		this.craftDesignPanel = craftDesignPanel;
		this.craftOwner = craftOwner;
		this.craftOrigin = craftOrigin;
	}

	@Override
	public void complete(Object result) throws ApplicationError, ValidationError {
		if (result != null && result instanceof CraftDesignStatistics) {
			craftDesignPanel.updateDesign(cd, (CraftDesignStatistics)result, craftOwner, craftOrigin);
		}
	}

}
