/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.craft;

import mot.common.bean.Rectangle;
import mot.common.bean.Size;

public class CraftRectangle extends Rectangle {
    private static final int CRAFT_WIDTH = 15;
    private static final int CRAFT_HEIGHT = 15;
    public static final Size CRAFT_SIZE = new Size(CRAFT_WIDTH, CRAFT_HEIGHT);
    
    public CraftRectangle(int x, int y) {
        super(x-CRAFT_WIDTH/2, y-CRAFT_HEIGHT/2, CRAFT_WIDTH, CRAFT_HEIGHT);
    }
    
    public Rectangle getVO() { return new Rectangle(this); }
}