/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.craft.actions;

import mot.client.swing.buttons.MotButton;
import mot.client.swing.window.craft.CraftDesignWindow;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class CraftDesignButtonClose extends MotButton {


	private CraftDesignWindow parent;
	
	public CraftDesignButtonClose(CraftDesignWindow parent) {
		super(L.CLOSE);
		this.parent = parent;
	}

	protected void _doAction() throws ApplicationError, ValidationError {
        if (parent.getDesign().getRemainingSpace() < 0) {
            throw new ValidationError(L.INVALID_DESIGN_NO_ENOUGH_SPACE_FOR_ALL_THIS_EQUIPMENT);
        }
		parent.hide();
	}

}
