/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.craft.actions;

import mot.client.swing.buttons.MotRolloverImageButton;
import mot.client.swing.renderers.ListItemControlPanelListener;
import mot.common.technology.Technology;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class CraftDesignButtonZero extends MotRolloverImageButton {

	public static final String NAME = "images/buttons/zero";

	private ListItemControlPanelListener parent;
	private Technology tech;
	
	public CraftDesignButtonZero(ListItemControlPanelListener parent, Technology tech) throws ApplicationError {
		super(NAME, 12, NAME);
		this.parent = parent;
		this.tech = tech;
		setToolTipText("Remove all "+tech+" from the craft design");
	}

	protected void _doAction() throws ApplicationError, ValidationError {
        if (tech != null) {
        	parent.changeListItem(tech, -2);
        }
	}

}
