/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.empire;

import java.awt.BorderLayout;

import javax.swing.ButtonGroup;
import javax.swing.JPanel;

import mot.client.deligates.UserPlayerDelegate;
import mot.client.swing.common.PanelUtils;
import mot.client.swing.window.common.MotInternalWindow;
import mot.client.swing.window.common.actions.CloseButton;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class GraphWindow extends MotInternalWindow {


    public GraphWindow(MotInternalWindow parent, UserPlayerDelegate owner)throws ApplicationError, ValidationError {
        super(owner, parent, L.GRAPH_WINDOW, null);
        
        init();
        show();
    }

    private void init() throws ApplicationError, ValidationError {
        GraphPanel main = new GraphPanel();
    	getContentPane().add(addTitleBar(main.getScrollPane()), null);

        JPanel buttonPanel = new JPanel();
        buttonPanel.add(new CloseButton(this));
        ButtonGroup bg = new ButtonGroup();
        buttonPanel.add(PanelUtils.createToggleButton(mot.client.deligates.GraphDelegate.POPULATION, mot.client.deligates.GraphDelegate.POPULATION, main, bg, null, true));
        buttonPanel.add(PanelUtils.createToggleButton(mot.client.deligates.GraphDelegate.FLEET, main, bg));
        buttonPanel.add(PanelUtils.createToggleButton(mot.client.deligates.GraphDelegate.RESEARCH, main, bg));
        getContentPane().add(buttonPanel, BorderLayout.SOUTH);
    }
}