/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.empire;

import mot.client.swing.common.IconSequence;
import mot.client.swing.panels.IconPanel;

public class IconPanelSpyDefender extends IconPanel {

    private static final String IMAGE_NAME = "images/icons/spy_defender.png";

    public IconPanelSpyDefender(int value) {
        super(  new IconSequence(IMAGE_NAME, value, 12, 20), null, null );
        
    }

    public void update(int value) {
        if (value <= 0) {
            getIcon1().setQty(0);
            repaint();
        } else {
            getIcon1().setQty(value);
            repaint();
        }
    }

}