/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.etc;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import mot.client.swing.common.ComponentTable;
import mot.client.swing.common.MotLabel;
import mot.common.bean.SavedGameFile;

public class FileListCellRenderer implements ListCellRenderer {

	public FileListCellRenderer() {
	}

	@Override
	public Component getListCellRendererComponent(JList list, Object value,int index, boolean isSelected, boolean cellHasFocus) {
		if (value instanceof SavedGameFile) {
			SavedGameFile file = (SavedGameFile) value;
			ComponentTable row = new ComponentTable("HV,RSP", 1,2, 0,0,0);
			row.add(new MotLabel(file.getFileName(), +4, null, null, JLabel.LEFT, false));
			row.add(new MotLabel("   ( " + file.getDate() + " )", -4, null, null, JLabel.LEFT, false));
			return row;
		} else {
			return new MotLabel(" ", JLabel.LEFT);
		}
	}

}
