/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.etc;

public class MultiPlayerConnectStatus {

	public enum State { init, connected, waiting };
	
	private State state;
	
	public MultiPlayerConnectStatus() {
		state = State.init;
	}
	
	public boolean isInit() { return state == State.init; }
	public boolean isConnected() { return state == State.connected; }
	public boolean isWaiting() { return state == State.waiting; }
	
	public void moveToConnected() { state = State.connected; }
	public void moveToWaiting() { state = State.waiting; }
	
	
}
