/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.etc;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JLabel;

import mot.client.swing.common.ComponentTable;
import mot.client.swing.common.MotBorder;
import mot.client.swing.common.MotLabel;
import mot.client.swing.panels.AncientRacePanel;
import mot.client.swing.panels.RacePicturePanel;
import mot.common.bean.NewGameDataUserPlayerDetails;
import mot.common.bean.Size;
import mot.common.util.ApplicationError;
import mot.common.util.PropertyManager;

public class SetupUserPlayerPanel extends ComponentTable {

	private RacePicturePanel race;
	private AncientRacePanel alignment;

	public SetupUserPlayerPanel(NewGameDataUserPlayerDetails pd) throws ApplicationError {
		super("HV,HV,HVSL", 1, 3, 4, 4, 4);
		
        //race = new RacePicturePanel(GraphicsFactory.getRaceGraphicsList(), null, false, new Size(100,100), null);
		race = new RacePicturePanel(pd.getRaceName(), true);
        alignment = new AncientRacePanel(pd.getAlignment(), true);
		
		add(new MotBorder(race, null, null, new Size(100,100)));
		add(new MotBorder(alignment, null, null, new Size(100,100)));
		add(new MotLabel("Remote User Player", 8, null, null, JLabel.LEFT, true, null, null));
		
        Color raceBackground = PropertyManager.getMandatoryAsColor("window.setup.color.background.race");
        setBackground(raceBackground);
        
		setMinimumSize(new Dimension(500,70));
		
		//race.setRace(pd.getRaceName());
		//alignmentComboBox.setAlignment(pd.getAlignment());
	}
	
}

