/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.etc.actions;

import mot.client.bean.GameEditor;
import mot.client.swing.window.etc.NewGameWindow;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class NewCustomGameButton extends NewGameButton {

	public NewCustomGameButton(NewGameWindow parent) {
		super(L.NEW_CUSTOM_GAME, parent);
	}

	protected void _doAction() throws ApplicationError, ValidationError {
		if (!GameEditor.hasEditor()) {
			throw new ValidationError(L.SCENARIO_EDITOR_ONLY_AVAILABLE_IN_PAID_VERSION);
		}
		if (parent.hasTutorial()) {
			throw new ValidationError(L.SCENARIO_EDITOR_CANNOT_BE_USED_IN_TUTORIAL_MODE);
		}
		super._doAction();
	}

	
}
