/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.galaxy;

import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import mot.client.deligates.NamedObjectDelegate;
import mot.common.util.ApplicationError;

/**
 * Listens to things that happen on a galaxy map
 * @author Paul Davis
 *
 */
public interface GalaxyMapListener extends MouseListener, MouseMotionListener {

	void setMapWindowSize() throws ApplicationError;
	NamedObjectDelegate getSelection();
	boolean isMouseButton1Down();


}
