/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.galaxy;

import mot.client.swing.window.galaxy.actions.ActionButtonFocusOnHome;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenBalanceSheetWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenColoniesWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenCraftDesignWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenDiplomacyWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenEmpireDetailsWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenFleetDetailsWin;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenResearchWin;
import mot.common.lang.L;
import mot.common.util.ApplicationError;

public class GalaxyWindowEmpireButtonMenu extends GalaxyWindowButtonMenu {

	public GalaxyWindowEmpireButtonMenu(GalaxyWindowListener listener, GalaxyWindowContextPanel contextPanel) throws ApplicationError {
		super(listener, contextPanel, MENU_EMPIRE_BUTTON_TEXT, L.TT_BUTTON_EMPIRE_MENU);
		add(new ActionButtonOpenEmpireDetailsWin(listener));
		add(new ActionButtonOpenResearchWin(listener));
		add(new ActionButtonOpenCraftDesignWin(listener));
		add(new ActionButtonOpenDiplomacyWin(listener));
		add(new ActionButtonOpenBalanceSheetWin(listener));
		
		add(new ActionButtonOpenFleetDetailsWin(listener));
		add(new ActionButtonOpenColoniesWin(listener));
		add(new ActionButtonFocusOnHome(listener));
//		add(new ActionButtonIncreaseDevelopment(listener));
//		add(new ActionButtonIncreaseEcology(listener));
	}
}
