/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.galaxy;

import mot.client.swing.window.galaxy.actions.ActionButtonEditor;
import mot.client.swing.window.galaxy.actions.ActionButtonExit;
import mot.client.swing.window.galaxy.actions.ActionButtonLoad;
import mot.client.swing.window.galaxy.actions.ActionButtonNew;
import mot.client.swing.window.galaxy.actions.ActionButtonOpenPlanetsWin;
import mot.client.swing.window.galaxy.actions.ActionButtonSave;
import mot.client.swing.window.galaxy.actions.ActionButtonSettings;
import mot.client.swing.window.galaxy.actions.ActionButtonStatistics;
import mot.common.lang.L;
import mot.common.util.ApplicationError;

public class GalaxyWindowFileButtonMenu extends GalaxyWindowButtonMenu {

	public GalaxyWindowFileButtonMenu(GalaxyWindowListener listener, GalaxyWindowContextPanel contextPanel) throws ApplicationError {
		super(listener, contextPanel, MENU_FILE_BUTTON_TEXT, L.TT_BUTTON_FILE_MENU);
		add(new ActionButtonNew(listener));
		add(new ActionButtonLoad(listener));
		add(new ActionButtonSave(listener));
		add(new ActionButtonSettings(listener));
		add(new ActionButtonEditor(listener));
		
		add(new ActionButtonStatistics(listener));
		add(new ActionButtonOpenPlanetsWin(listener));
		add(new ActionButtonExit(listener));
	}
}
