/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.galaxy;

/**
 * These are the names of the images used to render buttons on the galaxy map
 * NOTE these are not the actual names of the images, they are names of the mapping 
 * found in animation_config.xml
 */
public interface MotGalaxyMapActions {
    public static final String MENU_FILE_BUTTON_TEXT = "File";
    public static final String MENU_EMPIRE_BUTTON_TEXT = "Empire";
    public static final String MENU_CRAFTS_BUTTON_TEXT = "Crafts";

	public static final String MENU_GALAXY_NEW = "New";
    public static final String MENU_GALAXY_SAVE = "Save";
    public static final String MENU_GALAXY_LOAD = "Load";
    public static final String MENU_GALAXY_EXIT = "Exit";
    public static final String MENU_GALAXY_EDITOR = "Editor";
    public static final String MENU_GALAXY_SETTINGS = "Settings";
    public static final String MENU_GALAXY_STATS = "Statistics";
    public static final String MENU_GALAXY_OPEN_VIEW_PLANETS_WIN = "All Planets";
    public static final String MENU_EMPIRE_INC_ECOLOGY = "Increase Ecology Percent";
    public static final String MENU_EMPIRE_INC_DEVELOPMENT = "Increase Development Percent";
    public static final String MENU_EMPIRE_UPDATE_ENGINES = "Update All Engines To Fastest";
    public static final String MENU_EMPIRE_OPEN_CRAFT_DESIGN_WIN = "Craft Design";
    public static final String MENU_EMPIRE_OPEN_RESEARCH_WIN = "Research Project";
    public static final String MENU_OPEN_EMPIRE_DETAILS_WIN = "Summary";
    public static final String MENU_EMPIRE_OPEN_DIPLOMACY_WIN = "Diplomacy";
    public static final String MENU_EMPIRE_VIEW_A_FLEET_DETAILS = "A Fleet Details";
    public static final String MENU_EMPIRE_OPEN_FLEET_DETAILS_WIN = "Fleet Details";
    public static final String MENU_EMPIRE_OPEN_VIEW_COLONIES_WIN = "Colonies";
    public static final String MENU_EMPIRE_OPEN_BALANCE_SHEET_WIN = "Balance Sheet";
    public static final String MENU_EMPIRE_FOCUS_ON_HOME = "Scroll to Capital";
    public static final String MENU_CRAFT_UPGRADE = "Upgrade Craft";
    public static final String MENU_CRAFT_DELETE = "Delete";
    public static final String MENU_CRAFT_COLONISE = "Colonise";
    public static final String MENU_CRAFT_ATTACK = "Attack";
    public static final String MENU_CRAFT_BOMBARD = "Bombard";
    public static final String MENU_CRAFT_INVADE = "Invade";
    public static final String MENU_CRAFT_JOIN_FLEET = "Join Fleet";
    public static final String MENU_CRAFT_LEAVE_FLEET = "Leave Fleet";
    public static final String MENU_CRAFT_OPEN_CRAFT_DETAILS_WIN = "View Details";
    public static final String MENU_CRAFT_DEPLOY = "Deploy";
    public static final String MENU_CRAFT_SLEEP = "Sleep";
    public static final String MENU_SET_WAYPOINT = "Set Waypoint";
    public static final String MENU_CREATE_TRADE_ROUTE = "Create Trade Route";
    public static final String MENU_REMOVE_WAYPOINT = "Remove Waypoint";
    public static final String MENU_TRANSPORT_TROOPS = "Transport Troops";
    public static final String MENU_TRANSPORT_COLONISTS = "Transport Colonists";
    public static final String END_TURN_BUTTON_TEXT = "End Turn";
}
