/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.galaxy.actions;

import mot.client.swing.window.etc.OptionsWindow;
import mot.client.swing.window.galaxy.GalaxyWindowListener;
import mot.client.swing.window.galaxy.GalaxyWindowMenuButton;
import mot.client.swing.window.galaxy.MotGalaxyMapActions;
import mot.client.swing.window.main.MainWindow;
import mot.common.lang.L;
import mot.common.util.ApplicationError;

public class ActionButtonSettings extends GalaxyWindowMenuButton implements MotGalaxyMapActions {


	public ActionButtonSettings(GalaxyWindowListener listener) throws ApplicationError {
		super(listener, MENU_GALAXY_SETTINGS, null);
		setTip(L.OPEN_THE_GAME_SETTINGS_WINDOW);
	}

	protected void _doAction() throws ApplicationError {
    	MainWindow mainWindow = MainWindow.getInstance();
        new OptionsWindow(null, getOwner());
	}

}
