/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.main;

import java.awt.Color;

public class PendingMessage {

	private String msg;
	private boolean flash;
	private Color bkColor;
	private String sound;

	public PendingMessage(String msg, boolean flash, String sound) {
		this.msg = msg;
		this.flash = flash;
		this.sound = sound;
	}

	public PendingMessage(String msg, boolean flash, Color bkColor, String sound) {
		this.msg = msg;
		this.flash = flash;
		this.bkColor = bkColor;
		this.sound = sound;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public boolean isFlash() {
		return flash;
	}

	public void setFlash(boolean flash) {
		this.flash = flash;
	}

	public Color getBkColor() {
		return bkColor;
	}

	public void setBkColor(Color bkColor) {
		this.bkColor = bkColor;
	}

	public String getSound() {
		return sound;
	}

	public void setSound(String sound) {
		this.sound = sound;
	}

}
