/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.main;

import java.util.ArrayList;

import mot.common.util.ApplicationError;

public class PendingMessageList {

	/**
	 * List of pending messages.
	 */
    private ArrayList messages = new ArrayList();

    private transient PendingMessage [] _messages = null;

    public PendingMessageList() {
	}

    public PendingMessage [] getPendingMessages() {
    	int qty = messages.size();
    	if (messages.size() == 0) return null;
    	
    	_messages =  new PendingMessage[qty];
    	for (int i = 0; i < qty; i++) {
    		_messages[i] = (PendingMessage)messages.get(i); 
		}
        return _messages;
    }

    public void add(PendingMessage m) {
    	_messages = null;
    	messages.add(m);
    }

	public void empty() {
    	_messages = null;
    	messages = new ArrayList();
	}

	public void postAll(MainWindowView view) throws ApplicationError {
		PendingMessage[] msgs = getPendingMessages();
		if (msgs == null) return;
		empty();
		for (int i = 0; i < msgs.length; i++) {
			view.showMessage(msgs[i].getMsg(), false, null, null);
		}
	}

}
