/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.main;

import java.awt.Dimension;

import javax.swing.JPanel;

import mot.client.swing.window.battle.BattleWindowConfig;
import mot.client.swing.window.battle.BattleWindowListener;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;
import mot.test.TestBase;


public class TestBattleWindowConfig extends BattleWindowConfig {

	private BattleWindowListener listener;

	public TestBattleWindowConfig(TestBase test) throws ApplicationError {
		super(test);
		
		listener = new BattleWindowListener();
	}

	public void activate() throws ApplicationError {
	}

	public void deactivate() throws ApplicationError {
	}

	public String getName() {
		return "TestBattleWindowConfig";
	}

	public void handleTick() throws ApplicationError, ValidationError {
	}

	public JPanel getMainPanel() {
		return null;
	}

	public Dimension getMainPanelSize() {
		return null;
	}

	public MainWindowView getView() {
		return null;
	}

	public BattleWindowListener getListener() {
		return listener;
	}

	public boolean isEndBattleRecieved() {
		return false;
	}
}
