/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.solarsystem;
import java.awt.Image;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

import mot.client.swing.common.PanelUtils;
import mot.client.swing.panels.IconPanel;

/**
 * A named icon Panel is a horizontal panel with a name of the left followed by a quanity.
 * This is used to represent the name of a resource followed by an amout. Then following the 
 * amout an Icon Panel is to display quantity represented as icons in a horizontal list.
 */
public class NamedIconPanel extends JPanel {
    public NamedIconPanel(String name, String qty, Image icon, int imageWidth, int imageHeight, int qtyIcons) {
        setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
        add(PanelUtils.createLabel(name));
        add(PanelUtils.createLabel(" : "));
        add(PanelUtils.createLabel(qty));
        add(new IconPanel(null, null, null));
    }
}