/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.solarsystem;

import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;

import mot.client.swing.panels.PlainTextBackgroundImagePanel;
import mot.client.swing.tables.TechnologyTablePanel;
import mot.common.lang.L;
import mot.common.technology.PlanetConstruction;

public class ProjectConstructPlanetPanel  extends JTabbedPane {

	private ProjectConstructPlanetOverviewPanel overview;
    private TechnologyTablePanel details;

    public ProjectConstructPlanetPanel(PlanetConstruction project) {
        overview = new ProjectConstructPlanetOverviewPanel(project);
        addTab(L.PLANET_CONSTRUCTION_DESIGN, null, new JScrollPane(overview),  L.PLANET_CONSTRUCTION_INFORMATION);
        //details = ModuleTable.createWithHeader(project);
        //addTab("Planet Construction Details", null, new JScrollPane(details),  "Detailed Planet Construction Information");
    }
}

class ProjectConstructPlanetOverviewPanel extends PlainTextBackgroundImagePanel {
    
	private PlanetConstruction project;
	
    public ProjectConstructPlanetOverviewPanel(PlanetConstruction project) {
        super(project.getDescription());
    	this.project = project;
    }

    private static final String IMAGE = "images/backgrounds/project_construct_planet.jpg";

    protected String getImage() {
    	if (project != null && project.getImage() != null) {
    		return project.getImage();
    	} else {
    		return IMAGE;
    	}
    }

    
}