/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.solarsystem;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;

import mot.client.swing.panels.PlainTextBackgroundImagePanel;
import mot.client.swing.tables.TransportTable;
import mot.common.designs.TransportDesign;
import mot.common.lang.L;

public class ProjectTransportPanel extends JTabbedPane {

	
	private ProjectTransportOverviewPanel overview;
    private JPanel details;

    public ProjectTransportPanel(TransportDesign project) {
        overview = new ProjectTransportOverviewPanel(project);
        addTab(L.TRANSPORT, null, new JScrollPane(overview),  L.TRANSPORT_INFORMATION);
        details = TransportTable.createWithHeader(project);
        addTab(L.TRANSPORT_DETAILS, null, new JScrollPane(details),  L.DETAILED_TRANSPORT_INFORMATION);
    }
    
}

class ProjectTransportOverviewPanel extends PlainTextBackgroundImagePanel {

	private TransportDesign project;
	
	public ProjectTransportOverviewPanel(TransportDesign project) {
        super(project.getDescription());
    	this.project = project;
    }


    protected String getImage() {
   		return TransportDesign.getProjectImage();
    }
    
}
