/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.solarsystem;

import mot.client.deligates.PlanetDelegate;
import mot.client.deligates.SolarSystemDelegate;

public class SolarSystemWindowState {

    private SolarSystemDelegate solarSystem;
    private PlanetDelegate currentPlanet;
    
	public SolarSystemWindowState(SolarSystemDelegate solarSystem, PlanetDelegate currentPlanet) {
		super();
		this.solarSystem = solarSystem;
		this.currentPlanet = currentPlanet;
	}

	public PlanetDelegate getCurrentPlanet() {
		return currentPlanet;
	}

	public void setCurrentPlanet(PlanetDelegate currentPlanet) {
		this.currentPlanet = currentPlanet;
	}

	public SolarSystemDelegate getSolarSystem() {
		return solarSystem;
	}

	public void setSolarSystem(SolarSystemDelegate solarSystem) {
		this.solarSystem = solarSystem;
	}
	
}
