/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.swing.window.solarsystem.actions;

import mot.client.deligates.PlanetDelegate;
import mot.client.proxy.CompletedCallback;
import mot.client.proxy.ProxyStore;
import mot.client.swing.buttons.ActionObserver;
import mot.client.swing.buttons.MotButton;
import mot.client.swing.window.main.MainWindow;
import mot.common.bean.Settings;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class ActionButtonTransfer extends MotButton implements CompletedCallback {

	private PlanetDelegate planet;
	
	public ActionButtonTransfer(PlanetDelegate planet, ActionObserver notifier) {
		super(L.TRANSPORT, notifier);
		this.planet = planet;
	}

	protected void _doAction() throws ApplicationError, ValidationError {
        int qty = Settings.getInstance().getQtyColonistsToLoadPerShuttle();
        ProxyStore.getInstance().loadTransportCmd(planet, null, qty, 0, this, this);
	}

	@Override
	public void complete(Object result) throws ApplicationError, ValidationError {
        MainWindow mainWindow = MainWindow.getInstance();
		mainWindow.getGalaxyMapConfiguration().getGalaxyView().updateStatus(MainWindow.getOwner());
	}

}
