/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.tutorials;

import mot.client.actions.ActiveRectangle;
import mot.client.deligates.PlanetDelegate;
import mot.client.swing.window.galaxy.GalaxyMapPlanet;
import mot.common.lang.L;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class B6OpenSSTip extends TextTutorialTip {

	private PlanetDelegate newColony;
	
//	public static void setColony(PlanetDeligate v) {
//		newColony = v;
//	}
//
//	public static PlanetDeligate getColony() {
//		return newColony;
//	}

	public B6OpenSSTip(PlanetDelegate newColony) throws ApplicationError {
		super();
		this.newColony = newColony;
//		MainWindowView view = MainWindow.getInstance().getGalaxyMapConfiguration().getView();
//		if (view.isDesktopPaneActive()) {
//			view.deactivateDesktopPane();
//		}
	}

	protected int getId() throws ApplicationError {
		return 0;
	}

	protected String getTutorialText() throws ApplicationError {
		return L.TT_FIRST_COLONY_OPENSS;
	}
	
	public void validateDoubleClick(ActiveRectangle ar) throws ApplicationError, ValidationError {
		if (ar instanceof GalaxyMapPlanet) {
			GalaxyMapPlanet p = (GalaxyMapPlanet) ar;
			if (p.getPlanet().getPopulation() > 20) {
				newColony = null;
				next();
				return;
			}
		}
		throw new ValidationError(L.YOU_ARE_IN_A_TUTORIAL_FOLLOW_THE_INSTRUCTIONS_OR_CLOSE_THE_TUTORIAL);
	}
	
	public void validateClick(ActiveRectangle ar) throws ApplicationError, ValidationError {
		if (ar instanceof GalaxyMapPlanet) {
			GalaxyMapPlanet p = (GalaxyMapPlanet) ar;
			if (p.getPlanet().getPopulation() > 20) {
				return;
			}
		}
		throw new ValidationError(L.YOU_ARE_IN_A_TUTORIAL_FOLLOW_THE_INSTRUCTIONS_OR_CLOSE_THE_TUTORIAL);
	}	
	
	public void next() throws ApplicationError {
		TutorialSystem.closeTip();
		new B7UseTransport(newColony).display();
	}

}
