/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.client.tutorials;

import java.awt.Container;

import javax.swing.JComponent;

import mot.client.swing.window.main.MainWindowMessageCustom;

public class MainWindowMessageTutorial extends MainWindowMessageCustom {

	private Tutorial tutorial;

	public MainWindowMessageTutorial(JComponent tip, Tutorial tutorial) {
		super(tip, 120000, 8, 10, null);
		this.setTutorial(tutorial);
	}

	public boolean tick(Container container) {
		return super.tick(container);
	}

	public Tutorial getTutorial() {
		return tutorial;
	}

	public void setTutorial(Tutorial tutorial) {
		this.tutorial = tutorial;
	}
	
}
