/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import mot.common.command_results.CommandResult;

public class CraftDesignStatistics extends CommandResult {
	
    private int warpSpeed;
    private int battleSpeed;
    private double manouverability;
    private double attackBonus;
    private int maxDamage;
    private int cloak;
    private int psi;
    private int initiative;
    private double assaultBonus;

    private String warpSpeedDescription;
    private String battleSpeedDescription;
    private String manouverabilityDescription;
    private String attackBonusDescription;
    private String defenceBonusDescription;
    private String maxDamageDescription;
    private String cloakDescription;
    private String psiDescription;
    private String initiativeDescription;
    private String assaultBonusDescription;

    public CraftDesignStatistics() {
    }

    public int getWarpSpeed() {
        return warpSpeed;
    }

    public void setWarpSpeed(int warpSpeed) {
        this.warpSpeed = warpSpeed;
    }

    public int getBattleSpeed() {
        return battleSpeed;
    }

    public void setBattleSpeed(int battleSpeed) {
        this.battleSpeed = battleSpeed;
    }

    public double getManouverability() {
        return manouverability;
    }

    public void setManouverability(double manouverability) {
        this.manouverability = manouverability;
    }


    public void setMaxDamage(int maxDamage) {
        this.maxDamage = maxDamage;
    }


    public int getMaxDamage() {
        return maxDamage;
    }


    public void setCloak(int cloak) {
        this.cloak = cloak;
    }


    public int getCloak() {
        return cloak;
    }


    public void setAttackBonus(double attackBonus) {
        this.attackBonus = attackBonus;
    }


    public double getAttackBonus() {
        return attackBonus;
    }


    public void setPsi(int psi) {
        this.psi = psi;
    }


    public int getPsi() {
        return psi;
    }


    public void setAssaultBonus(double assaultBonus) {
        this.assaultBonus = assaultBonus;
    }


    public double getAssaultBonus() {
        return assaultBonus;
    }


    public void setInitiative(int initiative) {
        this.initiative = initiative;
    }


    public int getInitiative() {
        return initiative;
    }

	public String getWarpSpeedDescription() {
		return warpSpeedDescription;
	}

	public void setWarpSpeedDescription(String warpSpeedDescription) {
		this.warpSpeedDescription = warpSpeedDescription;
	}

	public String getBattleSpeedDescription() {
		return battleSpeedDescription;
	}

	public void setBattleSpeedDescription(String battleSpeedDescription) {
		this.battleSpeedDescription = battleSpeedDescription;
	}

	public String getManouverabilityDescription() {
		return manouverabilityDescription;
	}

	public void setManouverabilityDescription(String manouverabilityDescription) {
		this.manouverabilityDescription = manouverabilityDescription;
	}

	public String getAttackBonusDescription() {
		return attackBonusDescription;
	}

	public void setAttackBonusDescription(String attackBonusDescription) {
		this.attackBonusDescription = attackBonusDescription;
	}

	public String getMaxDamageDescription() {
		return maxDamageDescription;
	}

	public void setMaxDamageDescription(String maxDamageDescription) {
		this.maxDamageDescription = maxDamageDescription;
	}

	public String getCloakDescription() {
		return cloakDescription;
	}

	public void setCloakDescription(String cloakDescription) {
		this.cloakDescription = cloakDescription;
	}

	public String getPsiDescription() {
		return psiDescription;
	}

	public void setPsiDescription(String psiDescription) {
		this.psiDescription = psiDescription;
	}

	public String getInitiativeDescription() {
		return initiativeDescription;
	}

	public void setInitiativeDescription(String initiativeDescription) {
		this.initiativeDescription = initiativeDescription;
	}

	public String getAssaultBonusDescription() {
		return assaultBonusDescription;
	}

	public void setAssaultBonusDescription(String assaultBonusDescription) {
		this.assaultBonusDescription = assaultBonusDescription;
	}

	public String getDefenceBonusDescription() {
		return defenceBonusDescription;
	}

	public void setDefenceBonusDescription(String defenceBonusDescription) {
		this.defenceBonusDescription = defenceBonusDescription;
	}

}