/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

public class GalaxyDefinitions {

	/**
	 * This is the minimum distance you will find between any two stellar
	 * objects
	 */
	public static final int MIN_DISTANCE_BETWEEN_SOLAR_SYSTEMS = 120;
	
	/**
	 * This is the maximum quantity of planets you will find in any solar system.
	 */
	public static final int MAX_PLANETS_PER_SOLAR_SYSTEM = 4;
	
	/**
	 * The battle map boundaries.
	 * The origin of the map in the top left corner.
	 */
	public static Area BATTLE_BOUNDARY = new Area(0,0,1000,1000);

	/**
	 * When a player has Space Jump Ability crafts can travel to any part of the galaxy without .
	 */
	public static int INFINATE_MAX_TRAVEL_DISTANCE = 99999;

	
	/**
	 * Extra cost to research a technology from salvage.
	 */
	public static final int FROM_SALVAGE_COST_FACTOR = 3;
	

}
