/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.util.ArrayList;

/**
 * 
 */
public class LocationList {

	private ArrayList<Location> list;

	public LocationList() {
		list = new ArrayList<Location>();
	}
	
	public LocationList(Location l) {
		list = new ArrayList<Location>();
		list.add(l);
	}
	

	public int getClosestDistanceTo(Location l) {
		int best = Integer.MAX_VALUE;
		for (Location loc : list) {
			int dist = loc.getDistanceTo(l);
			if (dist < best) {
				best = dist;
			}
		}
		return best;
	}

	public void add(Location l) {
		list.add(l);
	}
	
}
