/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.awt.Color;

import mot.common.xml.DomNode;
import mot.common.xml.XMLInput;

/**
 * 
 */
public class MotColor implements XMLInput {

	private int red;
	private int green;
	private int blue;

	private Color color;
	
    public MotColor() {
    }
	
    public MotColor(int red, int green, int blue) {
		this.red = red;
		this.green = green;
		this.blue = blue;
	}

	public MotColor(DomNode n) {
		this.red = n.getNodeValueByName_Int("red");
		this.green = n.getNodeValueByName_Int("green");
		this.blue = n.getNodeValueByName_Int("blue");
	}

	public Color getColor() {
        if (color == null) color = new Color( red, green, blue );
        return color;
    }

	public int getBlue() {
		return blue;
	}

	public void setBlue(int blue) {
		this.blue = blue;
		color = null;
	}

	public int getGreen() {
		return green;
	}

	public void setGreen(int green) {
		this.green = green;
		color = null;
	}

	public int getRed() {
		return red;
	}

	public void setRed(int red) {
		this.red = red;
		color = null;
	}

}
