/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.io.Serializable;

public class NewGameData implements Serializable {
	
	private NewGameDataComputerPlayerDetails[] computerPlayers;
	private Double level;
	private boolean hasTutorial;
	private int qtyPlanets;
	private int qtyNebula;
	private Size galaxySize;
	private boolean hasWormHole;
	private boolean hasSpaceKaan;

	public NewGameData(){
	}

	public NewGameData(NewGameDataComputerPlayerDetails [] computerPlayers, Double level, boolean hasTutorial, int qtyPlanets, int qtyNebula, Size galaxySize, boolean hasWormHole, boolean hasSpaceKaan){
		this.computerPlayers = computerPlayers;
		this.level = level;
		this.hasTutorial = hasTutorial;
		this.qtyPlanets = qtyPlanets;
		this.qtyNebula = qtyNebula;
		this.galaxySize = galaxySize;
		this.hasWormHole = hasWormHole;
		this.hasSpaceKaan = hasSpaceKaan;
	}

	public NewGameDataComputerPlayerDetails[] getComputerPlayers() {
		return computerPlayers;
	}

	public void setComputerPlayers(NewGameDataComputerPlayerDetails[] computerPlayers) {
		this.computerPlayers = computerPlayers;
	}

	public boolean isHasTutorial() {
		return hasTutorial;
	}

	public void setHasTutorial(boolean hasTutorial) {
		this.hasTutorial = hasTutorial;
	}

	public int getQtyPlanets() {
		return qtyPlanets;
	}

	public void setQtyPlanets(int qtyPlanets) {
		this.qtyPlanets = qtyPlanets;
	}

	public int getQtyNebula() {
		return qtyNebula;
	}

	public void setQtyNebula(int qtyNebula) {
		this.qtyNebula = qtyNebula;
	}

	public Size getGalaxySize() {
		return galaxySize;
	}

	public void setGalaxySize(Size galaxySize) {
		this.galaxySize = galaxySize;
	}

	public Double getLevel() {
		return level;
	}

	public void setLevel(Double level) {
		this.level = level;
	}

	public boolean isHasWormHole() {
		return hasWormHole;
	}

	public void setHasWormHole(boolean hasWormHole) {
		this.hasWormHole = hasWormHole;
	}

	public boolean isHasSpaceKaan() {
		return hasSpaceKaan;
	}

	public void setHasSpaceKaan(boolean hasSpaceKaan) {
		this.hasSpaceKaan = hasSpaceKaan;
	}


}
