/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.io.Serializable;

import mot.common.setup.SetupOptions;
import mot.common.util.ApplicationError;

public class NewGameUserPlayerData implements Serializable {

	private String raceName;
	private String colour;
    private String alignment;
	private SetupOptions userOptions;

	public NewGameUserPlayerData() {
	}
	
	public NewGameUserPlayerData(String raceName, SetupOptions userOptions, PlayerColor colour, String alignment) {
		this.raceName = raceName;
		this.userOptions = userOptions;
		this.alignment = alignment;
		this.colour = colour == null ? null : colour.getName();
	}

	public String getRaceName() {
		return raceName;
	}

	public void setRaceName(String raceName) {
		this.raceName = raceName;
	}

	public SetupOptions getUserOptions() {
		return userOptions;
	}

	public void setUserOptions(SetupOptions userOptions) {
		this.userOptions = userOptions;
	}
	
	@Override
	public String toString() {
		return "NewGameUserPlayerData [raceName=" + raceName + "]";
	}

	public String getColour() {
		return colour;
	}

	public void setColour(String colour) {
		this.colour = colour;
	}

	public PlayerColor getPlayerColour() throws ApplicationError {
		return PlayerColor.getColorForName(colour);
	}

    public void setAlignment(String alignment) {
        this.alignment = alignment;
    }

    public String getAlignment() {
        return alignment;
    }


}
