/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.io.Serializable;

/**
 * Represents the details of an objects movement.
 * 
 * When a craft moves on a battle field it may pass through incumbents. Therefore
 * its speed may change or events may occur whole performing a single move. Therefore
 * a single movement is constructed from one or more ObjectShifts and ObjectTruns. 
 * Shifts and turns are implementations of this marker interface!
 */
public interface ObjectMovement extends Serializable {

	CraftState getState();
	
}
