/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.util.ArrayList;

import mot.common.util.ApplicationError;
import mot.common.util.Comp;

public class PlayerColourList {

	ArrayList<PlayerColor> colours;
	
	public PlayerColourList(PlayerColor [] v) {
		if (v == null) return;
		colours = new ArrayList();
		 for (int i = 0; i < v.length; i++) {
			 colours.add(v[i]);
		}
	}
	
	public PlayerColourList(NewGameUserPlayerData [] v) throws ApplicationError {
		if (v == null) return;
		colours = new ArrayList();
		 for (int i = 0; i < v.length; i++) {
			 colours.add(v[i].getPlayerColour());
		}
	}
	
	
	public boolean contains(PlayerColor pc) {
		if (colours == null) return false;
		for (PlayerColor c : colours) {
			if (Comp.same(pc.getName(), c.getName())) {
				return true;
			}
		}
		return false;
	}

	public void add(PlayerColor playerColor) {
		if (colours == null) colours = new ArrayList<PlayerColor>();
		colours.add(playerColor);
	}
}
