/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean;

import java.io.Serializable;

import mot.common.util.ApplicationError;

public class TroopBattleResult implements Serializable {

    private int qtyAttackers;
    private int qtyDefenders;
    
    private int remainingAttackers;
    private int remainingDefenders;

    public TroopBattleResult(int qtyAttackers, int qtyDefenders, int remainingAttackers, int remainingDefenders) throws ApplicationError {
        this.qtyAttackers = qtyAttackers;
        this.qtyDefenders = qtyDefenders;
        this.remainingAttackers = remainingAttackers;
        this.remainingDefenders = remainingDefenders;
    }

	public String toString() {
		return "TroopBattleResult [qtyAttackers=" + qtyAttackers
				+ ", qtyDefenders=" + qtyDefenders + ", remainingAttackers="
				+ remainingAttackers + ", remainingDefenders="
				+ remainingDefenders + "]";
	}

	public int getQtyAttackers() {
		return qtyAttackers;
	}

	public void setQtyAttackers(int qtyAttackers) {
		this.qtyAttackers = qtyAttackers;
	}

	public int getQtyDefenders() {
		return qtyDefenders;
	}

	public void setQtyDefenders(int qtyDefenders) {
		this.qtyDefenders = qtyDefenders;
	}

	public int getRemainingAttackers() {
		return remainingAttackers;
	}

	public void setRemainingAttackers(int remainingAttackers) {
		this.remainingAttackers = remainingAttackers;
	}

	public int getRemainingDefenders() {
		return remainingDefenders;
	}

	public void setRemainingDefenders(int remainingDefenders) {
		this.remainingDefenders = remainingDefenders;
	}

}
