/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean.stats;

import java.io.Serializable;

public class GameScore implements Serializable {

	private GameScoreData scoreData;
	private double craftsBuiltScore;
	private double craftsDestroyedScore;
	
	private double craftsInvadedScore;
	private double ancientsDefeatScore;
	
	private int qtyPopulation;
	private double populationScore;
	
	private int qtyTechnology;
	private double technologyScore;
	
	public GameScore(GameScoreData scoreData, double craftsBuiltScore,
			double craftsDestroyedScore, double craftsInvadedScore,
			double ancientsDefeatScore, int qtyPopulation,
			double populationScore, int qtyTechnology, double technologyScore) {
		this.scoreData = scoreData;
		this.craftsBuiltScore = craftsBuiltScore;
		this.craftsDestroyedScore = craftsDestroyedScore;
		this.craftsInvadedScore = craftsInvadedScore;
		this.ancientsDefeatScore = ancientsDefeatScore;
		this.qtyPopulation = qtyPopulation;
		this.populationScore = populationScore;
		this.qtyTechnology = qtyTechnology;
		this.technologyScore = technologyScore;
	}
	
	public GameScoreData getScoreData() {
		return scoreData;
	}
	
	public GameScoreData getScoreDataNotNull() {
		if (scoreData == null) {
			scoreData = new GameScoreData();
		}
		return scoreData;
	}
	
	public void setScoreData(GameScoreData scoreData) {
		this.scoreData = scoreData;
	}
	
	public double getCraftsBuiltScore() {
		return craftsBuiltScore;
	}
	
	public void setCraftsBuiltScore(double craftsBuiltScore) {
		this.craftsBuiltScore = craftsBuiltScore;
	}
	
	public double getCraftsDestroyedScore() {
		return craftsDestroyedScore;
	}
	
	public void setCraftsDestroyedScore(double craftsDestroyedScore) {
		this.craftsDestroyedScore = craftsDestroyedScore;
	}
	
	public double getCraftsInvadedScore() {
		return craftsInvadedScore;
	}
	
	public void setCraftsInvadedScore(double craftsInvadedScore) {
		this.craftsInvadedScore = craftsInvadedScore;
	}
	
	public double getAncientsDefeatScore() {
		return ancientsDefeatScore;
	}
	
	public void setAncientsDefeatScore(double ancientsDefeatScore) {
		this.ancientsDefeatScore = ancientsDefeatScore;
	}
	
	public int getQtyPopulation() {
		return qtyPopulation;
	}
	
	public void setQtyPopulation(int qtyPopulation) {
		this.qtyPopulation = qtyPopulation;
	}
	
	public double getPopulationScore() {
		return populationScore;
	}
	
	public void setPopulationScore(double populationScore) {
		this.populationScore = populationScore;
	}
	
	public int getQtyTechnology() {
		return qtyTechnology;
	}
	
	public void setQtyTechnology(int qtyTechnology) {
		this.qtyTechnology = qtyTechnology;
	}
	
	public double getTechnologyScore() {
		return technologyScore;
	}
	
	public void setTechnologyScore(double technologyScore) {
		this.technologyScore = technologyScore;
	}
}
