/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.bean.stats;

import mot.common.command_results.CommandResult;

public class GraphState extends CommandResult {

	private GraphPlayerState [] graphPlayerState;
	
	public GraphState() {
	}

	public GraphState(GraphPlayerState [] graphState) {
		this.graphPlayerState = graphState;
	}

	public GraphPlayerState [] getGraphPlayerState() {
		return graphPlayerState;
	}

	public void setGraphPlayerState(GraphPlayerState [] graphState) {
		this.graphPlayerState = graphState;
	}

	public int getMaximumValue(String selection) {
        int max = 10;
        if (graphPlayerState != null) {        	
        	for (int i=0; i<graphPlayerState.length; i++) {
        		Graph graph = graphPlayerState[i].getGraph();
        		if (graph != null) {
        			int t = graph.getMaximumValue(selection);
        			if (t > max) max = t;
        		}
        	}
        }
		return max;
	}
	
}
