/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;


/**
 * This command causes the source craft to launch fighters it has in the fighters bay.
 **/
public class BattleCraftLaunchFightersCmdDeligate extends BattleCommandDeligate {

    /**
     * The source of this command.
     */
    protected String source;

    public BattleCraftLaunchFightersCmdDeligate() {
    }

    /**
     * @param owner The player who has submitted this command.
     * @param battle The battle this attack is taking place in.
     * @param source The object to attack.
     */
    public BattleCraftLaunchFightersCmdDeligate(String battle, String source) {
        super(battle);
        this.source = source;
	}


    public void setSource(String source) {
        this.source = source;
    }


    public String getSource() {
        return source;
    }

    public String toString() {
    	return "BattleCraftLaunchFightersCmdDeligate "+getSequence()+" "+source;
    }
}