/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.technology.Hull;
import mot.common.technology.Technologies;
import mot.common.util.ApplicationError;
import mot.common.vo.OrbitVO;


/**
 * This is a command issued by a user to the engine.
 **/
public class DesignMillitaryCraftCmdDeligate extends CommandDeligate {

    private String hullName;
    private OrbitVO orbit;
    
	public DesignMillitaryCraftCmdDeligate(String hullName, OrbitVO orbit) {
		this.hullName = hullName;
		this.orbit = orbit;
    }
	
    public String toString() {
    	return "DesignMillitaryCraftCmdDeligate "+getSequence();
    }

    public Hull getHullTech() throws ApplicationError {
    	if (getHullName() != null) {
    		return Technologies.getHull(getHullName());
    	} else {
    		return null;
    	}
    }

	public String getHullName() {
		return hullName;
	}

	public void setHullName(String hullName) {
		this.hullName = hullName;
	}

	public OrbitVO getOrbit() {
		return orbit;
	}

	public void setOrbit(OrbitVO orbit) {
		this.orbit = orbit;
	}
}