/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

/**
 * This is a command to deploy a craft by a player in the game (on the galaxy map).
 **/
public class MooDeployCmdDeligate extends CommandDeligate {

    /**
     * This is the transport to which this command is being issued.
     */
    private String moo;

    /**
     * This is the stellar object to deploy the transport too.
     */
    private String stellarObject;

    /**
     * This is the planet to deploy the transport too.
     */
    private String planet;

    public MooDeployCmdDeligate() {
    }

    public MooDeployCmdDeligate(String moo, String stellarObject, String planet) {
        this.moo = moo;
        this.stellarObject = stellarObject;
        this.planet = planet;
	}


    public void setMoo(String v) {
        this.moo = v;
    }


    public String getMoo() {
        return moo;
    }


    public void setStellarObject(String stellarObject) {
        this.stellarObject = stellarObject;
    }


    public String getStellarObject() {
        return stellarObject;
    }


    public void setPlanet(String planet) {
        this.planet = planet;
    }


    public String getPlanet() {
        return planet;
    }
    
    public String toString() {
    	return "DeployCmdDeligate "+getSequence()+" "+moo;
    }

}