/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;



/**
 * This is a issues to move a craft/fleet by a player in the game (on the galaxy map).
 **/
public class MooMoveCmdDeligate extends MooCmdDeligate {

    private String destination;
    private String planet;
    private boolean generateOrbit;

    public MooMoveCmdDeligate() {
    }

    public MooMoveCmdDeligate(String craft, String destination, String planet, boolean generateOrbit) {
        super(craft);
        this.destination = destination;
        this.planet = planet;
        this.generateOrbit = generateOrbit;
	}


    public void setDestination(String destination) {
        this.destination = destination;
    }


    public String getDestination() {
        return destination;
    }

	public String getPlanet() {
		return planet;
	}

	public void setPlanet(String planet) {
		this.planet = planet;
	}

	public boolean getGenerateOrbit() {
		return generateOrbit;
	}

	public boolean isGenerateOrbit() {
		return generateOrbit;
	}

	public void setGenerateOrbit(boolean generateOrbit) {
		this.generateOrbit = generateOrbit;
	}
	
    public String toString() {
    	if (planet == null) {
    		return "MooMoveCmdDeligate "+getSequence()+" ["+getMoo()+"->"+destination+"]";
    	} else {
    		return "MooMoveCmdDeligate "+getSequence()+" ["+getMoo()+"->"+planet+"]";
    	}
    }

}