/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.bean.NewGameData;
import mot.common.bean.NewGameUserPlayerData;

/**
 * This is a command issued by a user to the game engine to start a new game.
 **/
public class NewGameCmdDeligate extends CommandDeligate {

	private String clientId;
	private NewGameUserPlayerData userData;
	private NewGameData gameData;

    public NewGameCmdDeligate() {
    }

    public NewGameCmdDeligate(String clientId, NewGameUserPlayerData userData, NewGameData gameData) {
		this.clientId = clientId;
		this.userData = userData;
		this.gameData = gameData;
	}

	public NewGameData getGameData() {
		return gameData;
	}

	public void setGameData(NewGameData gameData) {
		this.gameData = gameData;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public NewGameUserPlayerData getUserData() {
		return userData;
	}

	public void setUserData(NewGameUserPlayerData userData) {
		this.userData = userData;
	}

    public String toString() {
    	return "NewGameCmdDeligate "+getSequence()+" ["+clientId+"]";
    }
}