/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

/**
 * This is a command issued by a user to the engine.
 **/
public class RegisterProxyCmdDeligate extends CommandDeligate {

    /**
     * This is the name of the player that is registering a proxy.
     */
    private String playerName;

    private String password;

    /**
     * Client wants all server state to be added to the command result to update its cache.
     */
    private boolean updateClient;
    
    /**
     * Will be null for remote connections and must be set on the server side.
     */
//	private ClientConnection connection;


    public RegisterProxyCmdDeligate() {
    }

    public RegisterProxyCmdDeligate(String playerName, String password, boolean updateClient/*, ClientConnection connection*/) {
        this.playerName = playerName;
        this.password = password;
		this.updateClient = updateClient;
		//this.connection = connection;
	}

	public String getPlayerName() {
		return playerName;
	}

	public void setPlayerName(String playerName) {
		this.playerName = playerName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

//	public ClientConnection getConnection() {
//		return connection;
//	}
//
//	public void setConnection(ClientConnection connection) {
//		this.connection = connection;
//	}

	public boolean isUpdateClient() {
		return updateClient;
	}

	public void setUpdateClient(boolean updateClient) {
		this.updateClient = updateClient;
	}
    public String toString() {
    	return "RegisterProxyCmdDeligate "+getSequence()+" ["+playerName+"]";
    }

}