/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;


/**
 * This is a command issued by a user to the engine.
 **/
public class ReloadCmdDeligate extends CommandDeligate {

    private String file;
    private String player;

    public ReloadCmdDeligate() {
    }

    public ReloadCmdDeligate(String player, String file) {
        this.player = player;
        this.file = file;
	}


    public void setFile(String file) {
        this.file = file;
    }


    public String getFile() {
        return file;
    }


    public void setPlayer(String player) {
        this.player = player;
    }


    public String getPlayer() {
        return player;
    }

    public String toString() {
    	return "ReloadCmdDeligate "+getSequence()+" ["+player+" "+file+"]";
    }
}