/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

/**
 * This is a command issued by a user to the engine.
 **/
public class RenameStellarObjectCmdDeligate extends CommandDeligate {

    private String soName;
    private String newName;

	public RenameStellarObjectCmdDeligate() {
    }

	public RenameStellarObjectCmdDeligate(String soName, String newName) {
        this.soName = soName;
        this.newName = newName;
	}


    public void setNewName(String newName) {
        this.newName = newName;
    }


    public String getNewName() {
        return newName;
    }



    public void setSoName(String soName) {
        this.soName = soName;
    }


    public String getSoName() {
        return soName;
    }

    public String toString() {
    	return "RenameStellarObjectCmdDeligate "+getSequence()+" ["+soName+"->"+newName+"]";
    }
}