/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.technology.TechnologyList;
import mot.common.util.ApplicationError;
import mot.common.vo.TechnologyListVO;

public class SellSalvageCmdDeligate extends CommandDeligate {

	private TechnologyListVO salvage;

	public SellSalvageCmdDeligate() {
	}

	public SellSalvageCmdDeligate(TechnologyList salvage) {
		this.salvage = new TechnologyListVO(salvage);
	}

	public void setSalvage(TechnologyListVO salvage) {
		this.salvage = salvage;
	}

	public TechnologyListVO getSalvage() {
		return salvage;
	}
	
    public String toString() {
    	return "SellSalvageCmdDeligate "+getSequence()+" ["+salvage+"]";
    }

	public TechnologyList getSalvageTech() throws ApplicationError {
		if (salvage == null) {
			return null;
		} else {
			return salvage.getAllAsList();
		}
	}
	
}
