/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.util.ApplicationError;

/**
 * This is used for a user's planets and informs the planet AI that
 * the user does not wish to have any projects on this planet so do not
 * generate NoProject events.
 **/
public class SetPlanetWantsNoProjectCmdDeligate extends PlanetCmdDeligate {

    private boolean wantsNoProject;

    public SetPlanetWantsNoProjectCmdDeligate() {
	}

    public SetPlanetWantsNoProjectCmdDeligate(String planet, boolean wantsNoProject) throws ApplicationError {
        super(planet);
        this.wantsNoProject = wantsNoProject;
	}


    public void setWantsNoProject(boolean wantsNoProject) {
        this.wantsNoProject = wantsNoProject;
    }


    public boolean isWantsNoProject() {
        return wantsNoProject;
    }
    
    public String toString() {
    	return "SetPlanetWantsNoProjectCmdDeligate "+getSequence()+" "+getPlanet();
    }

}