/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

public class SetPlayerCharacterPercentsDeligate extends CommandDeligate {

    private Double ecology;
    private Double development;
    private Double research;
    private Double production;
    private Double money;
    private Double improveEcology;
    private Double improveDevelopment;

    public SetPlayerCharacterPercentsDeligate() {
    }

    public SetPlayerCharacterPercentsDeligate(Double ecology, Double development, Double research, Double production, Double money, Double improveEcology, Double improveDevelopment) {
        this.ecology = ecology;
        this.development = development;
        this.research = research;
        this.production = production;
        this.money = money;
        this.improveEcology = improveEcology;
        this.improveDevelopment = improveDevelopment;
    }


    public void setEcology(Double ecology) {
        this.ecology = ecology;
    }


    public Double getEcology() {
        return ecology;
    }


    public void setDevelopment(Double development) {
        this.development = development;
    }


    public Double getDevelopment() {
        return development;
    }


    public void setResearch(Double research) {
        this.research = research;
    }


    public Double getResearch() {
        return research;
    }


    public void setProduction(Double production) {
        this.production = production;
    }


    public Double getProduction() {
        return production;
    }


    public void setMoney(Double money) {
        this.money = money;
    }


    public Double getMoney() {
        return money;
    }


    public void setImproveEcology(Double improveEcology) {
        this.improveEcology = improveEcology;
    }


    public Double getImproveEcology() {
        return improveEcology;
    }


    public void setImproveDevelopment(Double improveDevelopment) {
        this.improveDevelopment = improveDevelopment;
    }


    public Double getImproveDevelopment() {
        return improveDevelopment;
    }

    public String toString() {
    	return "SetPlayerCharacterPercentsDeligate "+getSequence();
    }

}