/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

/**
 * This allocates the amount of money allocated each turn to recruite spies
 * for this player.
 **/
public class SetRecruiteSpyEffortCmdDeligate extends CommandDeligate {

    /**
     * The amount of effort per turn to allocate.
     */
    private int amount;

    public SetRecruiteSpyEffortCmdDeligate() {
    }

    public SetRecruiteSpyEffortCmdDeligate(int amount) {
        this.amount = amount;
	}


    public void setAmount(int amount) {
        this.amount = amount;
    }


    public int getAmount() {
        return amount;
    }

    public String toString() {
    	return "SetRecruiteSpyEffortCmdDeligate "+getSequence()+" ["+amount+"]";
    }

}