/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

/**
 * Allocates some spies from owner to spy on the target player. This will allow the owner
 * to view the espionage report details for the target player.
 */
public class SpyRoleSetEspionageTargetCmdDeligate extends CommandDeligate {

    private String target;
	private String technologyName;

    public SpyRoleSetEspionageTargetCmdDeligate(String target, String technologyName) {
        this.target = target;
		this.technologyName = technologyName;
    }

    public void setTarget(String target) {
        this.target = target;
    }


    public String getTarget() {
        return target;
    }

    public String toString() {
    	return "SpyRoleSetEspionageTargetCmdDeligate "+getSequence()+" ["+target+"]";
    }


	public String getTechnologyName() {
		return technologyName;
	}


	public void setTechnologyName(String technologyName) {
		this.technologyName = technologyName;
	}
}