/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.vo.TechnologyListVO;

public class SpyStealableTechnologiesCmdDelegate extends CommandDeligate {

	private String giverPlayer;
	private String takerPlayer;
	private TechnologyListVO exclude;

	public SpyStealableTechnologiesCmdDelegate(String giverPlayer, String takerPlayer, TechnologyListVO exclude) {
		this.giverPlayer = giverPlayer;
		this.takerPlayer = takerPlayer;
		this.exclude = exclude;
	}

	public String getGiverPlayer() {
		return giverPlayer;
	}

	public void setGiverPlayer(String giverPlayer) {
		this.giverPlayer = giverPlayer;
	}

	public String getTakerPlayer() {
		return takerPlayer;
	}

	public void setTakerPlayer(String takerPlayer) {
		this.takerPlayer = takerPlayer;
	}

    public String toString() {
    	return "FetchStealableTechnologiesCmdDelegate "+getSequence()+" [giver="+giverPlayer+" taker="+takerPlayer+"]";
    }

	public TechnologyListVO getExclude() {
		return exclude;
	}

	public void setExclude(TechnologyListVO exclude) {
		this.exclude = exclude;
	}
}
