/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_delegates;

import mot.common.vo.OrbitVO;


public class TransportLoadCmdDeligate extends CommandDeligate {

    private OrbitVO source;
    private OrbitVO destination;
    private int qty;
    private int type; // 0 = colonists; 1 = troops; 2 = trade route

    public TransportLoadCmdDeligate() {
    }

    public TransportLoadCmdDeligate(OrbitVO source, OrbitVO destination, int qty, int type) {
        this.source = source;
        this.destination = destination;
        this.qty = qty;
        this.type = type;
    }


    public void setSource(OrbitVO source) {
        this.source = source;
    }


    public OrbitVO getSource() {
        return source;
    }


    public void setDestination(OrbitVO destination) {
        this.destination = destination;
    }


    public OrbitVO getDestination() {
        return destination;
    }


    public void setQty(int qty) {
        this.qty = qty;
    }


    public int getQty() {
        return qty;
    }

    public String toString() {
    	return "TransportLoadCmdDeligate "+getSequence()+" ["+source+"->"+destination+" "+qty+" type "+type+"]";
    }

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public boolean isTroops() {
		return type == 1;
	}

	public boolean isColonists() {
		return type == 0;
	}

	public boolean isCreateTradeRoute() {
		return type == 2;
	}

}