/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_results;

import java.io.PrintWriter;
import java.io.StringWriter;

import mot.common.util.ApplicationError;
import mot.common.vo.ValueObject;

public class ApplicationErrorCR extends CommandResult implements ValueObject  {

    private String message;

    public ApplicationErrorCR() {
    }
    
    public ApplicationErrorCR(ApplicationError e, int sequence) {
    	super(sequence);
        StringWriter sw = new StringWriter();
        PrintWriter pw = new PrintWriter(sw);
        sw.write("Error On Server : "+e+"\n");
        e.printStackTrace(pw);
        pw.flush();
        this.message = sw.toString();
    }


    public void setMessage(String message) {
        this.message = message;
    }


    public String getMessage() {
        return message;
    }

	public String toString() {
		return "ApplicationErrorVO "+getSequence()+" [" + message + "]";
	}

}