/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_results;

import mot.common.util.ApplicationError;
import mot.common.xml.XMLWriter;

public class BooleanCR extends StateUpdateCommandResult {

    private boolean result;

    public BooleanCR() {
    }

    public BooleanCR(boolean result) {
        this.result = result;
    }


    protected String getElementName() {
        return "boolean-cr";
    }

    protected void encode(XMLWriter writer) throws ApplicationError {
        writer.addElement("result", result);
    }


    public void setResult(boolean result) {
        this.result = result;
    }


    public boolean getResult() {
        return result;
    }

    public boolean isResult() {
        return result;
    }

	public String toString() {
		return "BooleanCR "+getSequence()+" [" + result + "]";
	}
}