/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_results;

import mot.common.util.ApplicationError;
import mot.common.xml.XMLWriter;

public class DiplomaticCR extends CommandResult {

    private boolean accept;
	private String reason;

	public DiplomaticCR() {
    }

    public DiplomaticCR(boolean accept, String reason) {
		this.accept = accept;
		this.reason = reason;
    }

    protected String getElementName() {
        return "diplomatic-cr";
    }

    protected void encode(XMLWriter writer) throws ApplicationError {
        writer.addElement("accept", accept);
        writer.addElement("reason", reason);
    }

	public boolean isAccept() {
		return accept;
	}

	public void setAccept(boolean accept) {
		this.accept = accept;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String toString() {
		return "DiplomaticCR "+getSequence()+" [" + accept + "]";
	}

}