/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.command_results;

import mot.common.util.ApplicationError;
import mot.common.xml.XMLWriter;

public class UserPlayerNameCR extends StateUpdateCommandResult {

    private String playerName;

    public UserPlayerNameCR() {
    }

    public UserPlayerNameCR(String playerName) {
        this.playerName = playerName;
    }


    protected String getElementName() {
        return "string-cr";
    }

    protected void encode(XMLWriter writer) throws ApplicationError {
        // TODO:  Implement this mot.common.xml.XMLBean abstract method
    }

	public String getPlayerName() {
		return playerName;
	}

	public void setPlayerName(String playerName) {
		this.playerName = playerName;
	}

	public String toString() {
		return "UserPlayerNameCR "+getSequence()+" [" + playerName + "]";
	}

}