/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.designs;

import mot.common.technology.Technology;
import mot.common.util.ApplicationError;
import mot.common.xml.XMLBean;
import mot.common.xml.XMLWriter;

/**
 * This is a planetary project to build a BattleStation on a planet.
 */
public abstract class BuildDesign extends XMLBean implements ProjectDesign {

    /**
     * The technology being built.
     */
    protected String name;

    public BuildDesign() {
    }

    public BuildDesign(Technology technology) {
    	name = technology == null ? null : technology.getName();
    }

    public String getName() { return name;  }
    public void setName(String v) { name = v;  }

	public void setName(Technology tech) {
		name = tech == null ? null : tech.getName();
	}

	protected String getElementName() { return "battle-station-design"; }

    protected void encode(XMLWriter writer) throws ApplicationError {
    	writer.addElement("name", name);
    }

    public void _encode(XMLWriter writer) throws ApplicationError {
    	encode(writer);
    }
    

}