/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.event;

import java.util.ArrayList;

public class EventList {

	private ArrayList<MotEvent> events;
	
	public EventList() {
		
	}
	
	public void add(MotEvent e) {
		if (events == null) events = new ArrayList<MotEvent>();
		events.add(e);
	}
	
	public void clear() {
		if (events != null) events.clear();
	}

	public MotEvent get(int index) {
		if (events != null) {
			return events.get(index);
		} else {
			return null;
		}	
	}

	public MotEvent get(Class clazz) {
		if (events != null) {
			int qty = events.size();
			for (int i = 0; i < qty; i++) {
				MotEvent e = events.get(i);
				if (e.getClass() == clazz) {
					return e;
				}
			}
		}
		return null;		
	}
}
