/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.event;

/**
 * Sent to a player when the user is capable of adopting a moral policy.
 * If the user wishes to accept the moral choice he must use the AcceptMoralChoiceCmd.
 */
public class OfferMoralChoiceEvent implements MotEvent {

	/**
	 * This is the name of the moral choice on offer.
	 */
    private String name;

    public OfferMoralChoiceEvent() {
    }

    public OfferMoralChoiceEvent(String name) {
        this.name = name;
	}

	public String toString() {
		return "RecommendMoralChoiceEvent name="+name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isGalaxyEvent() {
		return true;
	}

	public boolean isBattleEvent() {
		return false;
	}

}