/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.event;

/**
 * This event is sent to all players when a player has been knocked out of the game.
 */
public class PlayerSurrenderEvent implements MotEvent {

    private String player;

    private String target;

    public PlayerSurrenderEvent() {
    }

    public PlayerSurrenderEvent(String player, String target) {
        this.player = player;
        this.target = target;
	}

	public String toString() {
		return "PlayerSurrenderEvent player="+player+" target="+target;
	}


    public void setPlayer(String player) {
        this.player = player;
    }


    public String getPlayer() {
        return player;
    }


    public void setTarget(String target) {
        this.target = target;
    }


    public String getTarget() {
        return target;
    }
    
	public boolean isGalaxyEvent() {
		return true;
	}

	public boolean isBattleEvent() {
		return false;
	}

}