/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.proxy;

import mot.client.event.MotClientEventProcessor;
import mot.common.coms.protocols.ClientEventProcessor;
import mot.common.event.MotEvent;
import mot.common.util.ApplicationError;
import mot.engine.event.MotEventFactory;
import mot.engine.players.Player;

/**
 * ClientProxy that converts event Value Objects into events.
 */
public class UserPlayerProxy extends ClientProxyBase {

    private ClientEventProcessor eventProcessor;

    public UserPlayerProxy(ClientEventProcessor connection, Player player) {
        super(player);
		this.eventProcessor = connection;
    }

	public void notify(MotEventFactory e) throws ApplicationError {
        notify(e.createEvent(getOwner()));
    }
    
	public void notify(MotEvent event) throws ApplicationError {
		eventProcessor.process(event);
    }

	public boolean isLocalProxy() {
		return eventProcessor instanceof MotClientEventProcessor;
	}

}