/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.resources;

import mot.common.bean.NamedObjectI;
import mot.common.xml.XMLBean;

/**
 * Resources are special matials that are located on planets that provide the owner
 * of the planet with bonuses. They are intended to be rare and thus thighly values.
 */
public abstract class Resource extends XMLBean implements NamedObjectI {
    public abstract String getName();
    public abstract String getTitle();
    public abstract String getDescription();
    public abstract int getPsiBonus();
    public abstract int getCloakBonus();
    public abstract float getSpeedBonus();
    public abstract float getDamageBonus();
    public abstract float getMaxDamageBonus();
    public abstract float getShieldBonus();
}