/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.resources;

import mot.common.lang.L;
import mot.common.xml.XMLWriter;

public class ResourceWarpCrystal extends Resource {
	public String getDescription() { return L.AN_ENRICHED_AND_UNUSDUALLY_PURE_FORM_OF_WARP_CRYSTAL_ALL_CRAFTS_MOVE_50; }
	public String getName() { return L.WARP_CRYSTAL; }
    public String getTitle() { return L.WARP_CRYSTAL_SPD_25; }

    public int getPsiBonus() { return 0; }
    public int getCloakBonus() { return 0; }
    public float getSpeedBonus() { return 0.25f; }
    public float getDamageBonus() { return 0.0f; }
    public float getMaxDamageBonus() { return 0.0f; }
    public float getShieldBonus() { return 0.0f; }

    protected String getElementName() { return "resource-warp-crystal"; }
    protected boolean beanHasBody() { return false; }
    protected void encode(XMLWriter writer) {  }
}