/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.resources;

public class Resources  {

	public static ResourceAntiMatter antiMatter = new ResourceAntiMatter();
	public static ResourceCloakPalm cloakPalm = new ResourceCloakPalm();
	public static ResourcePsiFungus psiFungus = new ResourcePsiFungus();
	public static ResourceTritanOre tritaniumOre = new ResourceTritanOre();
	public static ResourceWarpCrystal warpCrystals = new ResourceWarpCrystal();
	public static ResourceEnergySpores energySpores = new ResourceEnergySpores();
	
	public static final Resource [] resources = {
    		antiMatter,
    		cloakPalm,
    		psiFungus,
    		tritaniumOre,
    		warpCrystals,
    		energySpores
    };

    public static Resource getResource(String name) {
    	if (name == null) return null;
        for (int i=0; i<resources.length; i++) {
            if (name.equalsIgnoreCase(resources[i].getName())) {
                return resources[i];
            }
        }
        return null;
    }
}