/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.technology;

import mot.common.util.ApplicationError;

/**
 * Defines the complete set of technology in the game.
 */
public class CompleteTechnologyContainer implements TechnologyContainer {

	public Biotechnologies getBiotechnologies() throws ApplicationError {
        return Technologies.getBiotechnologies();
    }
    
	public Computers getComputers() throws ApplicationError {
        return Technologies.getComputers();
    }
    
	public Engines getEngines() throws ApplicationError {
        return Technologies.getEngines();
    }
    
	public Factories getFactories() throws ApplicationError {
        return Technologies.getFactories();
    }
    
	public Hulls getHulls() throws ApplicationError {
        return Technologies.getHulls();
    }
    
	public Laboratories getLaboratories() throws ApplicationError {
        return Technologies.getLaboratories();
    }
    
	public Scanners getScanners() throws ApplicationError {
        return Technologies.getScanners();
    }
    
	public Shields getShields() throws ApplicationError {
        return Technologies.getShields();
    }
    
	public Specials getSpecials() throws ApplicationError {
        return Technologies.getSpecials();
    }
    
	public Weapons getWeapons() throws ApplicationError {
        return Technologies.getWeapons();
    }
    
	public Theories getTheories() throws ApplicationError {
        return Technologies.getTheories();
    }

	   public Modules getModules() throws ApplicationError {
	        return Technologies.getModules();
	    }

	   public Humanities getHumanities() throws ApplicationError {
	        return Technologies.getHumanities();
	    }

		public MiscTechnologies getMiscTechnologies() throws ApplicationError {
	        return Technologies.getMiscTechnologies();
		}
    
}