/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.technology;

import mot.common.util.ApplicationError;
import mot.common.xml.DomNode;
import mot.common.xml.XMLBean;
import mot.common.xml.XMLWriter;

/**
 * The technology that owns this restriction must be available to all players.
 */
public class MandatoryRestriction extends XMLBean implements Restriction {

	public static final String ELEMENT_NAME = "mandatory-restriction";

	public MandatoryRestriction() {
    }

    public MandatoryRestriction(DomNode node) {
	}

	/**
     * Does not do anything - PlayerCharacter should not include any technologies 
     * with this restriction to the exclude list..
     * @param tech The technology whom this restriction applies.
     * @param available The list of technologies that are available for research to this player.
     * @param player The player who wants to discover a technology from the available list.
     */
    public void apply(Technology tech, TechnologyList list, TechnologyOwner player) {
    }

	protected void encode(XMLWriter writer) throws ApplicationError {
    }

	protected String getElementName() { return ELEMENT_NAME; }

}