/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.technology;

import mot.common.util.ApplicationError;

/**
 * Defines the complete set of technology on offer in the game.
 */
public interface TechnologyContainer {
	public Biotechnologies getBiotechnologies() throws ApplicationError;
	public Computers getComputers() throws ApplicationError;
	public Engines getEngines() throws ApplicationError;
	public Factories getFactories() throws ApplicationError;
	public Hulls getHulls() throws ApplicationError;
	public Laboratories getLaboratories() throws ApplicationError;
	public Scanners getScanners() throws ApplicationError;
	public Shields getShields() throws ApplicationError;
	public Specials getSpecials() throws ApplicationError;
	public Weapons getWeapons() throws ApplicationError;
	public Modules getModules() throws ApplicationError;
	public Humanities getHumanities() throws ApplicationError;
	public Theories getTheories() throws ApplicationError;
	public MiscTechnologies getMiscTechnologies() throws ApplicationError;
}