/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.technology;

import mot.common.bean.NameList;
import mot.common.util.ApplicationError;

/**
 * This is a list of technologies of any type.
 * It is used a a general bin for technologies so it may contain weapons, shields, labs etc etc.
 */
public class TestTechnologyList extends TechnologyList {

    public TestTechnologyList() {
    }

    public TestTechnologyList(TechnologyList tl) throws ApplicationError {
        super(tl);
    }

    public TestTechnologyList(Technology ... t) throws ApplicationError {
        super(t);
    }

    public TestTechnologyList(Technology t) {
        super(t);
    }

	public TestTechnologyList(TechnologyBundle[] ta) {
		super(ta);
	}

	public TestTechnologyList(NameList t) throws ApplicationError {
		super(t == null ? null : t.getNamesAsArray());
	}

	protected void changed() {
	}

	protected String getElementName() { return "test"; }

}