/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.technology;

/**
 * This class is a container for a bundle of weapon of the same type.
 */
public class WeaponBundle extends TechnologyBundle {

	protected Weapon weapon;
	
    public WeaponBundle() {
    }

    public WeaponBundle(Weapon weapon, int qty) {
    	super(weapon, qty);
    	this.weapon = weapon;
    }

    public Weapon getWeapon() {
        return weapon;
    }
    
    public void setWeapon(Weapon w) {
    	setTechnology(w);
    	weapon = w;
    }
    
    public void setTechnology(Technology v) {
       super.setTechnology(v);
       weapon = (Weapon) v;
    }

}