/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.util;

import java.util.Collection;

/**
 * Definition of a name value pair list.
 */
public interface BasicNameValueList {
    public Collection getKeys();
    public String getParameter(String name);
    public int getParameterAsValidInt(String name) throws ApplicationError;
    public void add(String name, String value) throws ApplicationError;
    public void add(String name, String [] values) throws ApplicationError;
    public void add(String name, Integer value) throws ApplicationError;
    public void add(String name, Long value) throws ApplicationError;
    public void add(String name, Double value) throws ApplicationError;
    public void add(String name, boolean value) throws ApplicationError;
    public void add(NameValuePair nameValuePair);
	public void add(BasicNameValueList v) throws ApplicationError;
    public String getAsSeperatedList(String seperator);
    public String [] getParameterValues(String name);
    public int getSize();
    public NameValuePair [] getAsArray();
	public String getAsAttributeList();

}