/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.util;

/**
 * Definition of a name value pair list.
 */
public interface NameValueList extends BasicNameValueList {
    public BasicNameValueList getBasicList();

    public String getParameterAsUpper(String name);
    public String getMandatoryParameter(String name) throws ApplicationError;
    public int getParameterAsInt(String name) throws ValidationError;
    public Integer getParameterAsInteger(String name) throws ValidationError;
    public Long getParameterAsLong(String name) throws ValidationError;
    public int getParameterAsMandatoryInt(String name) throws ApplicationError;
    public int getParameterAsNonMandatoryInt(String name);
    public Integer getParameterAsMandatoryInteger(String name) throws ApplicationError;
    public int getParameterAsIntWithDefailt(String name, int defaultValue);
    public boolean getParameterAsYesNo(String name);
    public Boolean getParameterAsYesNoNull(String name);
    public boolean getParameterAsBoolean(String name, boolean defaultValue) throws ValidationError;

    public void add(NameValueList v) throws ApplicationError;

}