/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

public class BattleCraftSpeedUpdateVO implements BattleValueObject {

	private String craft;
	private String battle;
	private BattleCraftSpeedVO speed;

	public BattleCraftSpeedUpdateVO(String craft, String battle, BattleCraftSpeedVO speed) {
		this.craft = craft;
		this.battle = battle;
		this.speed = speed;
	}

	public String getCraft() {
		return craft;
	}

	public void setCraft(String name) {
		this.craft = name;
	}

	public String getBattle() {
		return battle;
	}

	public void setBattle(String battle) {
		this.battle = battle;
	}

	public BattleCraftSpeedVO getSpeed() {
		return speed;
	}

	public void setSpeed(BattleCraftSpeedVO speed) {
		this.speed = speed;
	}

	@Override
	public String toString() {
		return "BattleCraftSpeedUpdateVO craft="+craft;
	}

}
