/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import mot.common.bean.CraftState;

public class BattleCraftVO extends BattleObjectVO {

	private BattleCraftSpeedVO speed;	
    private boolean aggressor;
	private boolean hologram;
	private boolean orbital;

    public BattleCraftVO() {
    }

    public BattleCraftVO(String name, String battle, CraftState state, BattleObjectWeaponStateVO weaponState, BattleCraftSpeedVO speed, boolean aggressor, boolean hologram, boolean orbital) {
        super(name, battle, state, weaponState);
        this.speed = speed;
        this.aggressor = aggressor;
		this.hologram = hologram;
		this.orbital = orbital;
    }

	public boolean isAggressor() {
		return aggressor;
	}

	public void setAggressor(boolean aggressor) {
		this.aggressor = aggressor;
	}

	public boolean isHologram() {
		return hologram;
	}

	public void setHologram(boolean hologram) {
		this.hologram = hologram;
	}

	public boolean isOrbital() {
		return orbital;
	}

	public void setOrbital(boolean orbital) {
		this.orbital = orbital;
	}

	@Override
	public String toString() {
		return "BattleCraftVO ["+getName()+"]";
	}

	public BattleCraftSpeedVO getSpeed() {
		return speed;
	}

	public void setSpeed(BattleCraftSpeedVO speed) {
		this.speed = speed;
	}

}