/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;
import mot.common.bean.CraftState;

public class BattleObjectStateUpdateVO implements BattleValueObject {

	/**
     * The name of this image object - If this image object is a craft it is the name of the craft,
     * if it is a missile it is the name of the missile etc. 
     */
    private String name;
    
    private String battle;
    
	private CraftState state;
    
    public BattleObjectStateUpdateVO() {
    }
    
    public BattleObjectStateUpdateVO(String name, String battle, CraftState state) {
        this.name = name;
		this.battle = battle;
		this.state = state;
    }


    public void setBattle(String battle) {
        this.battle = battle;
    }


    public String getBattle() {
        return battle;
    }


	@Override
	public String toString() {
		return "BattleObjectTurnStateVO ["+getName()+"]";
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public CraftState getState() {
		return state;
	}

	public void setState(CraftState state) {
		this.state = state;
	}

}