/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

public class BattleObjectWeaponStateVO implements ValueObject {

    private WeaponInstanceVO[] weapons;
    private boolean hasFightersToLaunch;
    
    public BattleObjectWeaponStateVO() {
    }
    
    public BattleObjectWeaponStateVO(WeaponInstanceVO [] weapons, boolean hasFightersToLaunch) {
		this.setWeapons(weapons);
		this.hasFightersToLaunch = hasFightersToLaunch;
    }

	public boolean isHasFightersToLaunch() {
		return hasFightersToLaunch;
	}

	public void setHasFightersToLaunch(boolean hasFightersToLaunch) {
		this.hasFightersToLaunch = hasFightersToLaunch;
	}

	public WeaponInstanceVO[] getWeapons() {
		return weapons;
	}

	public void setWeapons(WeaponInstanceVO[] weapons) {
		this.weapons = weapons;
	}
	
	@Override
	public String toString() {
		return "BattleObjectWeaponStateVO "+ toShortString() ;
	}

	public String toShortString() {
		if (weapons == null) {
			return "none";
		} else {
			StringBuffer sb = new StringBuffer();
			for (int i = 0; i < weapons.length; i++) {
				if (i > 0) sb.append(" ");
				sb.append(weapons[i].toShortString());
			}
			return sb.toString();
		}
	}
}