/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

public class BattleStateVO implements BattleValueObject {
	
	private int turn;
	private boolean hasEnded;
	private String[] winners;
	private String battle;

	public BattleStateVO(String battle, int turn, boolean hasEnded, String [] winners) {
		this.battle = battle;
		this.turn = turn;
		this.hasEnded = hasEnded;
		this.winners = winners;		
	}

	public int getTurn() {
		return turn;
	}

	public void setTurn(int turn) {
		this.turn = turn;
	}

	public boolean isHasEnded() {
		return hasEnded;
	}

	public void setHasEnded(boolean hasEnded) {
		this.hasEnded = hasEnded;
	}

	public String[] getWinners() {
		return winners;
	}

	public void setWinners(String[] winners) {
		this.winners = winners;
	}

	public String getName() {
		return battle;
	}

	public String getBattle() {
		return battle;
	}

	public void setBattle(String battle) {
		this.battle = battle;
	}
	
	public String toString() {
		return "turn="+turn+" hasEnded="+hasEnded;
	}
}
