/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;


public class BattleVO implements ValueObject {

    private String name;
    private OrbitVO orbit;
    private String [] startingPlayers;
	private boolean inNebula;

    public BattleVO() {
    }

    public BattleVO(String name, OrbitVO orbit, String [] startingPlayers, boolean inNebula) {
        this.name = name; 
        this.orbit = orbit;
        this.startingPlayers= startingPlayers;
		this.inNebula = inNebula; 
    }

    public void setStartingPlayers(String[] startingPlayers) {
        this.startingPlayers = startingPlayers;
    }

    public String[] getStartingPlayers() {
        return startingPlayers;
    }

    public void setOrbit(OrbitVO orbit) {
        this.orbit = orbit;
    }

    public OrbitVO getOrbit() {
        return orbit;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

	@Override
	public String toString() {
		return "BattleVO ["+getName()+"]";
	}

	public boolean isInNebula() {
		return inNebula;
	}

	public void setInNebula(boolean inNebula) {
		this.inNebula = inNebula;
	}

}