/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import java.awt.Color;

import mot.common.bean.Location;

public class BlackHoleVO extends StellarObjectVO {

    private String graphicsName;
	private float researchBonus;
	private boolean spaceJumpAbility;

	public BlackHoleVO() {
    }
    
    public BlackHoleVO(String name, Location location, float researchBonus,  boolean spaceJumpAbility, String graphicsName, String [] owners, Color textColor, boolean isVisible, int lastVisitedDate, StellarObjectOrbitalVO orbital) {
    	super(name, location, owners, textColor, isVisible, lastVisitedDate, orbital);
		this.researchBonus = researchBonus;
		this.spaceJumpAbility = spaceJumpAbility;
		this.graphicsName = graphicsName;
    }

	public String getGraphicsName() {
		return graphicsName;
	}

	public void setGraphicsName(String graphicsName) {
		this.graphicsName = graphicsName;
	}

	public float getResearchBonus() {
		return researchBonus;
	}

	public void setResearchBonus(float researchBonus) {
		this.researchBonus = researchBonus;
	}

	public boolean isSpaceJumpAbility() {
		return spaceJumpAbility;
	}

	public void setSpaceJumpAbility(boolean spaceJumpAbility) {
		this.spaceJumpAbility = spaceJumpAbility;
	}
    
}
