/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import mot.common.bean.CraftState;

public class DroidMineVO extends BattleAutomatonVO {

    private String origin;
    private String target;
    
    public DroidMineVO() {
    }

    public DroidMineVO(String name, String battle, CraftState state, String origin, String target) {
        super(name, battle, state);
        this.origin = origin;
        this.target = target;
    }


    public void setOrigin(String origin) {
        this.origin = origin;
    }


    public String getOrigin() {
        return origin;
    }


    public void setTarget(String target) {
        this.target = target;
    }


    public String getTarget() {
        return target;
    }
    
	@Override
	public String toString() {
		return "DroidMineVO ["+getName()+"]";
	}
}