/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;
import mot.common.event.MotEvent;
import mot.common.util.ApplicationError;
import mot.common.xml.XMLDocumentHandler;

public class EventsVO implements ValueObject{

    /**
     * A list of events serialised to XML.
     */
    private String [] events;

    public EventsVO() {
    }

    public EventsVO(String [] events) {
        this.events = events;
    }


    public void setEvents(String[] events) {
        this.events = events;
    }


    public String[] getEvents() {
        return events;
    }
    
    public MotEvent[] getEventObjects() throws ApplicationError {
        if (events == null || events.length == 0) {
            return null;
        }
        MotEvent[] r = new MotEvent[events.length];
        for (int i=0; i<events.length; i++) {
            r[i] = (MotEvent)XMLDocumentHandler.parse(events[(i)]);
        }
        return r;
    }
}