/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;
import mot.common.bean.Location;

public class FleetVO extends MoveableOwnedObjectVO {

    private String[] crafts;
	private boolean hasMoved;
    
    public FleetVO() {
    }

    public FleetVO(String name, String owner,  Location location, NavigatorVO navigator,  OrbitVO orbit, 
                   String[] crafts, int visibility, int range, boolean sleeping, boolean hasMoved) {
        super(name, owner, location, navigator, orbit, visibility, range, sleeping);
        this.crafts = crafts;
		this.hasMoved = hasMoved;
    }

    public void setCrafts(String[] crafts) {
        this.crafts = crafts;
    }

    public String[] getCrafts() {
        return crafts;
    }

	@Override
	public String toString() {
		return "FleetVO ["+getName()+"]";
	}

	public boolean isHasMoved() {
		return hasMoved;
	}

	public void setHasMoved(boolean hasMoved) {
		this.hasMoved = hasMoved;
	}
}