/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

/**
 * Used on newGame to flush the entire delegate cache before re-populating the contents of the cache with new data.
 * This is better than flushing the cache then calling startNewGame because a validation error would still delete the old game.
 * 
 * @author Paul Davis
 *
 */
public class FlushDelegateCacheVO implements ValueObject {

	public FlushDelegateCacheVO() {
	}

    
	@Override
	public String toString() {
		return "FlushDelegateCacheVO";
	}
}
