/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import mot.common.bean.Location;

public class MoveableObjectLocationVO implements ValueObject {

    private MoveableOwnedObjectVO[] moos;
    private Location location;
    private int mostVisibleScanStrength;
    private MoveableOwnedObjectVO mostVisible;

    public MoveableObjectLocationVO() {
    }

    public MoveableObjectLocationVO(MoveableOwnedObjectVO[] moos, Location location, int mostVisibleScanStrength, MoveableOwnedObjectVO mostVisible) {
        this.moos = moos;
        this.location = location;
        this.mostVisibleScanStrength = mostVisibleScanStrength;
        this.mostVisible = mostVisible;
    }


    public void setMoos(MoveableOwnedObjectVO[] moos) {
        this.moos = moos;
    }


    public MoveableOwnedObjectVO[] getMoos() {
        return moos;
    }


    public void setLocation(Location location) {
        this.location = location;
    }


    public Location getLocation() {
        return location;
    }


    public void setMostVisibleScanStrength(int mostVisibleScanStrength) {
        this.mostVisibleScanStrength = mostVisibleScanStrength;
    }


    public int getMostVisibleScanStrength() {
        return mostVisibleScanStrength;
    }


    public void setMostVisible(MoveableOwnedObjectVO mostVisible) {
        this.mostVisible = mostVisible;
    }


    public MoveableOwnedObjectVO getMostVisible() {
        return mostVisible;
    }
}