/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;
import mot.common.designs.ProjectDesign;

public class PlanetProjectVO implements ValueObject {

    private ProjectDesign design;
    private int costToBuild;
    private int turnsToComplete;
    private int costToPurchase;

    public PlanetProjectVO() {
    }

    public PlanetProjectVO(ProjectDesign design, int costToBuild, int turnsToComplete, int costToPurchase) {
    	this.design = design;
        this.costToBuild = costToBuild;
		this.turnsToComplete = turnsToComplete;
        this.costToPurchase = costToPurchase;
    }


    public void setTurnsToComplete(int turnsToComplete) {
        this.turnsToComplete = turnsToComplete;
    }


    public int getTurnsToComplete() {
        return turnsToComplete;
    }


    public void setCostToPurchase(int costToPurchase) {
        this.costToPurchase = costToPurchase;
    }


    public long getCostToPurchase() {
        return costToPurchase;
    }


    public void setDesign(ProjectDesign design) {
        this.design = design;
    }


    public ProjectDesign getDesign() {
        return design;
    }
    
	@Override
	public String toString() {
		return "PlanetProjectVO";
	}

	public int getCostToBuild() {
		return costToBuild;
	}

	public void setCostToBuild(int costToBuild) {
		this.costToBuild = costToBuild;
	}

}