/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

public class PlayerVO implements NamedValueObject {
	
    private String name;
    
	/**
	 * The amount of money this player has
	 */
    private int funds;
    
	/**
	 * The amount of boralium this player has
	 */
    private int boralium;

    /**
     * Quantity of research produced per turn
     */
    private int totalResearch;

    public PlayerVO() {
    }

    public PlayerVO(String name) {
    	this.name = name;
    }

    public int getTotalResearch() {
		return totalResearch;
	}

	public void setTotalResearch(int totalResearch) {
		this.totalResearch = totalResearch;
	}

	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

	public int getFunds() {
		return funds;
	}

	public void setFunds(int funds) {
		this.funds = funds;
	}

	public void setBoralium(int boralium) {
		this.boralium = boralium;
	}

	public int getBoralium() {
		return boralium;
	}

}