/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

public class RelationTradeAgreementVO  implements ValueObject {
	
	private int money;
	private String resourceTaken;
	private String resourceGiven;
	private int date;

	public RelationTradeAgreementVO(int date, int money, String resourceTaken, String resourceGiven) {
		this.date = date;
		this.money = money;
		this.resourceTaken = resourceTaken;
		this.resourceGiven = resourceGiven;
	}

	public int getMoney() {
		return money;
	}

	public void setMoney(int money) {
		this.money = money;
	}

	public String getResourceTaken() {
		return resourceTaken;
	}

	public void setResourceTaken(String resource) {
		this.resourceTaken = resource;
	}

	public String getResourceGiven() {
		return resourceGiven;
	}

	public void setResourceGiven(String resource) {
		this.resourceGiven = resource;
	}

	public String toString() {
		return "RelationTradeAgreementVO [money "+money+", resource taken "+resourceTaken+", resource given "+resourceGiven+"]";
	}

	public int getDate() {
		return date;
	}

	public void setDate(int date) {
		this.date = date;
	}

}
