/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import java.util.ArrayList;

public class RenameListVO implements ValueObject {

	private RenameVO solarSystem;
	private ArrayList<RenameVO> planets;
	private RenameVO moo;
	
	public RenameListVO() {
	}
	
	public RenameListVO(RenameVO solarSystem) {
		this.solarSystem = solarSystem;
	}
	
	public RenameListVO(RenameVO solarSystem, ArrayList<RenameVO> planets) {
		this.solarSystem = solarSystem;
		this.planets = planets;
	}

	public RenameVO getSolarSystem() {
		return solarSystem;
	}

	public void setSolarSystem(RenameVO solarSystem) {
		this.solarSystem = solarSystem;
	}

	public ArrayList<RenameVO> getPlanets() {
		return planets;
	}

	public void setPlanets(ArrayList<RenameVO> planets) {
		this.planets = planets;
	}

	public void addPlanet(String oldName, String newName) {
		addPlanet(new RenameVO(oldName, newName));
	}
	
	public void addPlanet(RenameVO planet) {
		if (planets == null) planets = new ArrayList<RenameVO>();
		planets.add(planet);
	}

	public RenameVO getMoo() {
		return moo;
	}

	public void setMoo(String oldName, String newName) {
		moo = new RenameVO(oldName, newName);
	}
	
	public void setMoo(RenameVO moo) {
		this.moo = moo;
	}
	
}
