/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

/**
 * Update the research project in the client for player
 * 
 * @author Paul Davis
 *
 */
public class ResearchProjectUpdateVO implements ValueObject {

    private String player;
    private ResearchProjectVO project;
    
    public ResearchProjectUpdateVO() {
    }

    public ResearchProjectUpdateVO(String player, ResearchProjectVO project) {
        this.player = player;
        this.project = project;
    }
    
	@Override
	public String toString() {
		return "UserResearchProjectVO ["+(project == null ? "null" : project.getTechnology())+"]";
	}

	public String getPlayer() {
		return player;
	}

	public void setPlayer(String player) {
		this.player = player;
	}

	public ResearchProjectVO getProject() {
		return project;
	}

	public void setProject(ResearchProjectVO project) {
		this.project = project;
	}

}