/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import java.awt.Color;

import mot.common.bean.Location;

public class SolarSystemVO extends StellarObjectVO {

    /**
     * The graphical information to use to display this solar system.
     */
    private String starType;
    
    /**
     * Can this solar system support a trade route at this time.
     */
    private boolean canCreateTradeRoute;
    
    public SolarSystemVO() {
    }

    public SolarSystemVO(String name, Location location, String starType, String [] owners, Color textColor, boolean isVisible, int lastVisitedDate, StellarObjectOrbitalVO orbital, boolean canCreateTradeRoute) {
        super(name, location, owners, textColor, isVisible, lastVisitedDate, orbital);
        this.starType = starType;
		this.canCreateTradeRoute = canCreateTradeRoute;
    }
    
	public String getStarType() {
		return starType;
	}

	public void setStarType(String starType) {
		this.starType = starType;
	}

	@Override
	public String toString() {
		return "SolarSystemVO ["+getName()+"]";
	}

	public boolean isCanCreateTradeRoute() {
		return canCreateTradeRoute;
	}

	public void setCanCreateTradeRoute(boolean canCreateTradeRoute) {
		this.canCreateTradeRoute = canCreateTradeRoute;
	}
}