/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import mot.common.bean.Location;

public class TransportVO extends MoveableOwnedObjectVO {

	public static char CONTENT_TYPE_COLONISTS = 'C';
	public static char CONTENT_TYPE_TROOPS = 'T';
	public static char CONTENT_TYPE_SPACE_STATION = 'S';
	public static char CONTENT_TYPE_TRADE_ROUTE = 'R';
	
	private char taskContent;
	
	private int qty;
	private String origin; 
	private String orbitalHull; 
	
    public TransportVO() {
    }

    public TransportVO(String name, String owner, Location location, NavigatorVO navigator, OrbitVO orbit, int visibility, int range, boolean sleeping, int qty, String origin) {
        super(name, owner, location, navigator, orbit, visibility, range, sleeping);
        this.qty = qty;
		this.origin = origin;
    }

	public int getQty() {
		return qty;
	}

	public void setQty(int qty) {
		this.qty = qty;
	}

	@Override
	public String toString() {
		return "TransportVO ["+getName()+"]";
	}

	public char getTaskContent() {
		return taskContent;
	}

	public void setTaskContent(char taskContent) {
		this.taskContent = taskContent;
	}

	public String getOrbitalHull() {
		return orbitalHull;
	}

	public void setOrbitalHull(String orbitalHull) {
		this.orbitalHull = orbitalHull;
	}

	public String getOrigin() {
		return origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

}