/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.vo;

import java.util.ArrayList;

import mot.common.util.ApplicationError;

/**
 */
public class ValueObjectList {

	private ArrayList<ValueObject> state;
	
	public void addStateUpdate(ValueObject v) throws ApplicationError {
		if (state == null) state = new ArrayList<ValueObject>();
		state.add(v);
	}

	public void addStateUpdate(ValueObject [] vol) throws ApplicationError {
		if (vol == null || vol.length == 0) return;
		for (int i = 0; i < vol.length; i++) {			
			state.add(vol[i]);
		}
	}

	public ValueObject [] getStateUpdates() {
		if (state == null) return null;
		return state.toArray(new ValueObject[state.size()]);
	}

	public ArrayList<ValueObject> getState() {
		return state;
	}

	public void setState(ArrayList<ValueObject> state) {
		this.state = state;
	}

}