/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.common.xml;

/**
 * @author Paul Davis
 *
 * All textual information in an XML document should be entity encoded. This prevents
 * things like &, < etc in the document for breaking the XML syntax and making the document
 * unparsable.
 */
public class EntityEncoder {


    public static String encode(String value) {
        StringBuffer text = new StringBuffer(value);
        for (int i=0; i<text.length(); i++) {
            switch (text.charAt(i)) {
                case '&' :
                    text.replace(i,i+1,"&amp;");
                    break;
                case '<' :
                    text.replace(i,i+1,"&lt;");
                    break;
                case '>' :
                    text.replace(i,i+1,"&gt;");
                    break;
            }
        }
        return text.toString();
    }

}
