/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.editor.swing.controls;

import javax.swing.JComboBox;
import javax.swing.ListCellRenderer;

public class BonusCombo extends JComboBox {

	public BonusCombo(ListCellRenderer renderer) {
    	setRenderer(renderer);
		addItem(new Double(-0.5));
		addItem(new Double(-0.25));
		addItem(new Double(0.0));
		addItem(new Double(0.5));
		addItem(new Double(1.0));
		addItem(new Double(2.0));
		addItem(new Double(3.0));
	}

    public double getBonus() {
    	Double bonus = (Double) getSelectedItem();
    	return bonus;
    }
    
    public void setSelection(double bonus) {
    	if (bonus == -0.5) {
    		setSelectedIndex(0);
    	} else if (bonus == -0.25) {
    		setSelectedIndex(1);
    	} else if (bonus == 0.0) {
    		setSelectedIndex(2);
    	} else if (bonus == 0.5) {
    		setSelectedIndex(3);
    	} else if (bonus == 1.0) {
    		setSelectedIndex(4);
    	} else if (bonus == 2.0) {
    		setSelectedIndex(5);
    	} else if (bonus == 3.0) {
    		setSelectedIndex(6);
    	} else {
    		setSelectedIndex(2);
    	}
    }

	public void clear() {
		setSelectedIndex(-1);
	}
}
