/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.editor.swing.controls;

import javax.swing.JComboBox;
import javax.swing.ListCellRenderer;

import mot.common.bean.GameConstants;

public class MoneyBonusCombo extends JComboBox {

	public MoneyBonusCombo(ListCellRenderer renderer) {
    	setRenderer(renderer);
		addItem(new Integer(GameConstants.MONEY_BONUS_NONE));
		addItem(new Integer(GameConstants.MONEY_BONUS_GOLD));
		addItem(new Integer(GameConstants.MONEY_BONUS_DIAMONDS));
		addItem(new Integer(GameConstants.MONEY_BONUS_GEMS));
	}

    public int getBonus() {
    	Integer bonus = (Integer) getSelectedItem();
    	return bonus;
    }
    
    public void setSelection(int bonus) {
    	if (bonus == GameConstants.MONEY_BONUS_NONE) {
    		setSelectedIndex(0);
    	} else if (bonus == GameConstants.MONEY_BONUS_GOLD) {
    		setSelectedIndex(1);
    	} else if (bonus == GameConstants.MONEY_BONUS_DIAMONDS) {
    		setSelectedIndex(2);
    	} else if (bonus == GameConstants.MONEY_BONUS_GEMS) {
    		setSelectedIndex(3);
    	} else {
    		setSelectedIndex(0);
    	}
    }

	public void clear() {
		setSelectedIndex(-1);
	}
}
