/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.editor.swing.controls;

import javax.swing.JComboBox;
import javax.swing.ListCellRenderer;

public class PlanetSizeCombo extends JComboBox {

	public PlanetSizeCombo(ListCellRenderer renderer) {
    	setRenderer(renderer);
		addItem(new Integer(20));
		addItem(new Integer(40));
		addItem(new Integer(60));
		addItem(new Integer(80));
		addItem(new Integer(90));
		addItem(new Integer(100));
		addItem(new Integer(110));
		addItem(new Integer(120));
		addItem(new Integer(130));
		addItem(new Integer(150));
	}

    public int getPlanetSize() {
    	Integer r = (Integer) getSelectedItem();
    	return r;
    }
    
    public void setSelection(int v) {
    	if (v == 20) {
    		setSelectedIndex(0);
    	} else if (v == 40) {
    		setSelectedIndex(1);
    	} else if (v == 60) {
    		setSelectedIndex(2);
    	} else if (v == 80) {
    		setSelectedIndex(3);
    	} else if (v == 90) {
    		setSelectedIndex(4);
    	} else if (v == 100) {
    		setSelectedIndex(5);
    	} else if (v == 110) {
    		setSelectedIndex(6);
    	} else if (v == 120) {
    		setSelectedIndex(7);
    	} else if (v == 130) {
    		setSelectedIndex(8);
    	} else if (v == 150) {
    		setSelectedIndex(9);
    	} else {
    		setSelectedIndex(5);
    	}
    }

	public void clear() {
		setSelectedIndex(-1);
	}
}
