/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.editor.swing.controls;

import javax.swing.JComboBox;

import mot.common.bean.StellarObjectGraphics;
import mot.common.util.Comp;

public class StarTypeCombo extends JComboBox {

	public StarTypeCombo() {
		addItem(StellarObjectGraphics.STAR_TYPE_BLUE);
		addItem(StellarObjectGraphics.STAR_TYPE_RED);
		addItem(StellarObjectGraphics.STAR_TYPE_YELLOW);
	}

    public String getStarType() {
    	String v = (String) getSelectedItem();
    	return v;
    }
    
    public void setSelection(String v) {
    	if (Comp.same(v, StellarObjectGraphics.STAR_TYPE_BLUE)) {
    		setSelectedIndex(0);
    	} else if (Comp.same(v, StellarObjectGraphics.STAR_TYPE_RED)) {
    		setSelectedIndex(1);
    	} else if (Comp.same(v, StellarObjectGraphics.STAR_TYPE_YELLOW)) {
    		setSelectedIndex(2);
    	} else {
    		setSelectedIndex(2);
    	}
    }

	public void clear() {
		setSelectedIndex(-1);
	}
}
