/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.editor.swing.window;

import mot.client.swing.buttons.MotActionListener;
import mot.client.swing.combos.PlayerCombo;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;

public class EditorPlayerListener extends MotActionListener {

	private PlayerCombo playerSelect;
	private EditorPanel editorPanel;

	public EditorPlayerListener(PlayerCombo playerSelect, EditorPanel editorPanel) {
		this.playerSelect = playerSelect;
		this.editorPanel = editorPanel;
	}

	/**
	 * New player selected in player combo.
	 */
	protected void _doAction() throws ApplicationError, ValidationError {
		editorPanel.setContent(playerSelect.getSelectedPlayer(), null);
	}


}
