/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.adapter;

import java.util.ArrayList;

import mot.common.util.ApplicationError;
import mot.common.vo.BattleStateVO;
import mot.engine.battles.Battle;
import mot.engine.players.Player;

public class BattleStateVOAdapter extends BattleStateVO {
	public BattleStateVOAdapter(Battle a) throws ApplicationError {
		super(a.getName(), 
              a.getTurn(), 
              a.hasEnded(),
              null
        );
		if (isHasEnded()) {
			Player[] players = a.getPlayers();
			if (players != null) {
				ArrayList r = new ArrayList();
				for (int i = 0; i < players.length; i++) {
					if (a.isWinner(players[i])) {
						r.add(players[i].getName());
					}
				}
				if (r != null && r.size() > 0) {
					setWinners((String [])r.toArray(new String[r.size()]));
				}
			}
		}
	}
}
