/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.adapter;

import mot.common.util.ApplicationError;
import mot.common.vo.ComputerPlayerVO;
import mot.engine.MotEngine;
import mot.engine.players.ComputerPlayer;
import mot.engine.players.MonsterPlayer;
import mot.engine.players.Player;
import mot.engine.relations.Relations;

public class ComputerPlayerVOAdapter extends ComputerPlayerVO {

	public ComputerPlayerVOAdapter(ComputerPlayer a) throws ApplicationError {
		super( a.getName(), false );
		setState(a);
	}
	
	public ComputerPlayerVOAdapter(MonsterPlayer a) throws ApplicationError {
		super( a.getName(), true );
		setState(a);
	}

	private void setState(Player p) throws ApplicationError {
        if (!(p instanceof MonsterPlayer)) {
        	setFunds(p.getFunds());
        	setBoralium(p.getBoralium());
        	
	        Relations rels = MotEngine.instance.getRelationsNotNull();
//	        setAlliances(rels.getPlayersNamesHaveAllianceTreatyWith(p));
//	        setWars(rels.getPlayersNamesAtWarWith(p));
//	        setPeace(rels.getPlayersNamesHavePeaceTreatyWith(p));
//	        setNonAgression(rels.getPlayersNamesHaveNonAgressionTreatyWith(p));
//	        setTraders(rels.getTradeIncomeDetails(p));
//	        setResearch(rels.getPlayersNamesHaveResearchTreatyWith(p));
//	        setRelationshipValues(rels.getRelationshipValues(p));
//	        setHasRelationsWith(p.getPlayerNamesWithDiplomaticRelations());
//	        
//	        setQtySpiesDefending(MotEngine.instance.getSpiesNotNull().getQtySpiesDefending(p));
	        setTotalResearch(p.getTotalResearch());
        }
	}
	
}
