/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.adapter;

import mot.common.bean.PlayerSummary;
import mot.engine.players.Player;

/**
 * Converts an engine Player object to a common PlayerSummary Object
 */
public class PlayerSummaryAdapter extends PlayerSummary {

	public PlayerSummaryAdapter(Player player) {
		super(player.getName(), player.isComputerPlayer() ? PlayerSummary.TYPE_COMPUTER : PlayerSummary.TYPE_HUMAN, player.getColor());
	}

}
