/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.adapter;

import mot.common.util.ApplicationError;
import mot.common.vo.TradeRouteVO;
import mot.engine.planets.TradeRoute;
import mot.engine.players.Player;

public class TradeRouteVOAdapter extends TradeRouteVO {

	  public TradeRouteVOAdapter() {
	  }
	
      public TradeRouteVOAdapter(TradeRoute a, Player player) throws ApplicationError {
    	  super(a.getSolarSystem1Name(), a.getSolarSystem2Name(), a.getStartDate(), a.getIndustryOutput(player), a.getResearchOutput(player));
      }
    
	  protected String getClassAttribute() {
		  return "mot.common.vo.TradeRouteVO";
	  }
	  

}
