/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.adapter;

import mot.common.vo.WeaponInstanceVO;
import mot.engine.technology.WeaponInstance;

public class WeaponInstanceVOAdapter extends WeaponInstanceVO {

	public WeaponInstanceVOAdapter(WeaponInstance a) {
		super(a.getQty(), a.getWeapon().getName(), a.getQtyFired(), a.hasWeaponsToFire(), a.getRange());
	}

	public static WeaponInstanceVO [] getInstance(WeaponInstance [] wia) {
		if (wia == null) return null;
		WeaponInstanceVOAdapter [] r = new WeaponInstanceVOAdapter[wia.length];
		for (int i = 0; i < wia.length; i++) {
			r[i] = new WeaponInstanceVOAdapter(wia[i]);
		}
		return r;
	}
}
