/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.battles;

import java.util.ArrayList;

import mot.common.bean.Location;

public class ExclusionZoneList {

    ArrayList<ExclusionZone> content; 
    
	public void add(ExclusionZone ez) {
		if (content == null) content = new ArrayList<ExclusionZone>();
		content.add(ez);
	}

	public boolean cotains(Location loc) {
		if (content == null) return false;
		for (ExclusionZone ez : content) {
			if (ez.contains(loc)) {
				return true;
			}
		}
		return false;
	}

	public int getClosestDistance(Location loc) {
		if (content == null) return 0;

		ExclusionZone closest = null;
		int closestDist = 0;
		
		for (ExclusionZone ez : content) {
			int dist = ez.getDistanceTo(loc);
			if (closest == null || dist < closestDist) {
				closest = ez;
				closestDist = dist;
			}
		}
		return closestDist;
	}

}
