/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.battles;

/**
 * This is a MovementLinkObject (missile, droid mine etc) that has caused a craft to halt its movement
 * for a strike to take place. The relevant details are the object doing the string and the percentage
 * through the move the strike takes place.  
 */
public class MovementLinkStrike {

	private MoveLinkedObject automaton;
	private double movePercent;

	public MovementLinkStrike(MoveLinkedObject missile, double movePercent) {
		this.automaton = missile;
		this.movePercent = movePercent;
	}

	public MoveLinkedObject getAutomaton() {
		return automaton;
	}

	public void setAutomaton(MoveLinkedObject missile) {
		this.automaton = missile;
	}

	public double getMovePercent() {
		return movePercent;
	}

	public void setMovePercent(double movePercent) {
		this.movePercent = movePercent;
	}

}
