/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.command;

import mot.common.command_results.CommandResult;
import mot.common.command_results.CraftDesignCR;
import mot.common.util.ApplicationError;
import mot.common.util.ValidationError;
import mot.engine.players.UserPlayer;
import mot.engine.players.mayor.CraftDesignerColony;

/**
 * Removes the craft design with name name from the the user player owner.
 */
public class DesignColonyCraftCmd extends Command {

	private UserPlayer owner;

    public DesignColonyCraftCmd(UserPlayer owner) {
        super(owner);
        this.owner = owner;
    }

    protected CommandResult execute() throws ApplicationError, ValidationError {
        return new CraftDesignCR(new CraftDesignerColony().designCraft(owner));
    }

   
}