/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.crafts;

import mot.common.designs.CraftDesign;
import mot.common.technology.Computers;
import mot.common.technology.Scanners;
import mot.common.technology.Shields;
import mot.common.technology.Specials;
import mot.common.util.ApplicationError;

public class CraftDesignAdapter extends CraftDesign {

	
	public CraftDesignAdapter() {
	}
	

    /**
     * constructor
     */
	public CraftDesignAdapter(Craft c) throws ApplicationError {
		super(c.getDesignName());
        setHull(c.getHull());
        setEngine(c.getEngine());
        if (c.getWeaponBays() != null) setWeaponBays(c.getWeaponBaysDesign());
        if (c.getSpecials() != null) setSpecials(new Specials(c.getSpecials()));
        if (c.getComputers() != null) setComputers(new Computers(c.getComputers()));
        if (c.getShields() != null) setShields(new Shields(c.getShields()));
        if (c.getScanners() != null) setScanners(new Scanners(c.getScanners()));
	}
	
	  protected String getClassAttribute() {
		  return "mot.common.designs.CraftDesign";
	  }

}