/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.BattleCraftLeaveEvent;
import mot.common.event.MotEvent;
import mot.common.util.ApplicationError;
import mot.engine.adapter.BattleCraftVOAdapter;
import mot.engine.battles.BattleCraft;
import mot.engine.players.Player;

/**
 * Caused when a craft leaves the battle map.
 */
public class BattleCraftLeaveEF implements MotEventFactory {

	private BattleCraft craft;

    public BattleCraftLeaveEF(BattleCraft craft) {
		this.craft = craft;
	}

    public MotEvent createEvent(Player owner) throws ApplicationError {
    	BattleCraftLeaveEvent event = new BattleCraftLeaveEvent(craft.getBattle().getName(), craft.getName());
    	event.addStateUpdate(new BattleCraftVOAdapter(craft, owner));
		return event;
    }

}