/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.ColonisePlanetEvent;
import mot.common.event.MotEvent;
import mot.engine.crafts.Craft;
import mot.engine.players.Player;

/**
 * Caused when a colony craft arrives in a solar system.
 * This event is only created for user players.
 */
public class ColonisePlanetEF implements MotEventFactory {

	/**
	 * This is a colony craft arrived at a solar system with a planet
	 * eligible for colonisation.
	 */
	private Craft craft;

    public ColonisePlanetEF(Craft craft) {
		this.craft = craft;
	}

    public MotEvent createEvent(Player owner) {
        return new ColonisePlanetEvent(craft.getName());
    }

}