/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.DestroyColonyEvent;
import mot.common.event.MotEvent;
import mot.engine.planets.Planet;
import mot.engine.players.Player;

/**
 * Caused when a colony is destroyed. It means this player has lost ownership of a planet
 * because all population on the planet has been wiped out.
 */
public class DestroyColonyEF implements MotEventFactory {

	/**
	 * The planet whose colony has been destroyed.
	 */
	private Planet planet;

    public DestroyColonyEF(Planet planet) {
		this.planet = planet;
	}

    public MotEvent createEvent(Player owner) {
        return new DestroyColonyEvent(planet.getName());
    }


 }