/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.LeaderGainLevelEvent;
import mot.common.event.MotEvent;
import mot.common.leaders.Leader;
import mot.engine.players.Player;

/**
 * Sent to a player when a leader already assigned to that player gains a level.
 */
public class LeaderGainLevelEF extends StatefulEventFactory {

	/**
	 * This is the name of the leader.
	 */
    private String name;

    /**
     * This is the quantity of experience this leader has gained.
     */
    private int experience;


    public LeaderGainLevelEF(Leader leader) {
        this.name = leader.getName();
        this.experience = leader.getExperience();
	}

    public MotEvent createEvent(Player owner) {
        return new LeaderGainLevelEvent(name, experience);
    }
}