/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

/**
 * Soem types of events may contain sub events. This is the interface all
 * events that may contain other events must implement.
 */
public interface MotLinkedEventFactory extends MotEventFactory {

    /**
     * Links another event to this event. This allows a single event to contain multiple
     * sub events.
     * Note - When event is linked to this event, this event should still be broadcast but
     * the link event should not be as it is broadcast with this event.
     * @param event The event to attack to this event.
     */
    public void link(MotEventFactory event);
}