/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.MotEvent;
import mot.common.event.PlanetBombardedEvent;
import mot.common.util.ApplicationError;
import mot.engine.planets.Planet;
import mot.engine.players.Player;

/**
 * Caused when a planet has been bombarded by an enemy player.
 */
public class PlanetBombardedEF extends StatefulEventFactory {

    private Planet target;
    private double populationDestroyed;
    private double factoriesDestroyed;

    public PlanetBombardedEF(Planet target, double populationDestroyed, double factoriesDestroyed) {
        this.target = target;
        this.populationDestroyed = populationDestroyed;
        this.factoriesDestroyed = factoriesDestroyed;
    }

    public MotEvent createEvent(Player owner) throws ApplicationError {
    	PlanetBombardedEvent r = new PlanetBombardedEvent(target.getName(), populationDestroyed, factoriesDestroyed);
        r.setState(getState());
		return r;
    }

}