/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.MotEvent;
import mot.common.event.PlayersWaitingForBattleAutomateEvent;
import mot.engine.battles.Battle;
import mot.engine.players.Player;

/**
 * This event is sent to players when another user player has pressed automate in a battle and is waiting for other players to complete.
 * NB Complete a battle only takes effect when all user players complete!
 */
public class PlayersWaitingForBattleAutomateEF extends StatefulEventFactory {
	
    private Battle battle;

	public PlayersWaitingForBattleAutomateEF(Battle battle) {
		this.battle = battle;
	}

	public MotEvent createEvent(Player owner) {
        return new PlayersWaitingForBattleAutomateEvent(battle.getName());
    }


}