/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.MotEvent;
import mot.common.event.StartGameEvent;
import mot.engine.players.Player;

/**
 * This is an event caused when A new game is loaded or created - It is sent to all user players 
 * other than the one that requested the new game or game load.
 * 
 * So a multi-player connect window can proceed to the galaxy window when this event is received.
 * 
 * IT MUST CONTAINS ALL STATE INFORMATION.
 */
public class StartGameEF extends StatefulEventFactory {

    public StartGameEF() {
    }

    public MotEvent createEvent(Player owner) {
    	StartGameEvent vo = new StartGameEvent();
        vo.setState(getState());
        return vo;
    }


}