/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.event;

import mot.common.event.MotEvent;
import mot.common.event.StateUpdateEvent;
import mot.common.vo.ValueObject;
import mot.engine.players.Player;

/**
 * This is an event the engine can send to clients to update the state cached in the delegates.
 */
public class StateUpdateEF extends StatefulEventFactory {

    public StateUpdateEF() {
	}

    public StateUpdateEF(ValueObject s) {
    	addStateUpdate(s);
	}

	public MotEvent createEvent(Player owner) {
    	StateUpdateEvent vo = new StateUpdateEvent();
        vo.setState(getState());
        return vo;
    }

}