/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.planets;

import mot.common.util.Logger;
import mot.engine.MotEngine;

public class CrisisFactory {

	public static void createPsiCrisis(Planet planet) {
		if (Logger.isDebug()) {
			Logger.logDebug("CrisisFactory.createPsiCrisis() on "+planet.getName());
		}
		int date = MotEngine.instance.getDate();
		CrisisPsi crisis = new CrisisPsi(date);
		planet.setCrisis(crisis);
	}

	public static void createPlagueCrisis(Planet planet) {
		if (Logger.isDebug()) {
			Logger.logDebug("CrisisFactory.createPlagueCrisis() on "+planet.getName());
		}
		int date = MotEngine.instance.getDate();
		CrisisPlague crisis = new CrisisPlague(date);
		planet.setCrisis(crisis);
	}

	public static void createEmergencyCrisis(Planet planet) {
		if (Logger.isDebug()) {
			Logger.logDebug("CrisisFactory.createEmergencyCrisis() on "+planet.getName());
		}
		int date = MotEngine.instance.getDate();
		CrisisEmergency crisis = new CrisisEmergency(date);
		planet.setCrisis(crisis);
	}

}
