/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.players.strategists;
import mot.common.util.ApplicationError;
import mot.common.xml.XMLWriter;
import mot.engine.players.Player;

/**
 * 
 */
public abstract class StrategistEventAssetScore extends StratagistEvent {

    private int netAssetScore;

	protected StrategistEventAssetScore() { }
    
    protected StrategistEventAssetScore(Player player, int expiryDate, int netAssetScore) {
    	super(player, expiryDate);
		this.netAssetScore = netAssetScore;
    }

	public int getNetAssetScore() {
		return netAssetScore;
	}

	public void setNetAssetScore(int netAssetScore) {
		this.netAssetScore = netAssetScore;
	}

    protected void encode(XMLWriter writer) throws ApplicationError {
    	super.encode(writer);
        writer.addElement("net-asset-score", netAssetScore);
    }
    
}