/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.relations;

import mot.common.util.ApplicationError;

/**
 * This interface must be implemented by all objects that are capable of being a 
 * trading agent. In this ganme so far this is only players. Players are capable
 * of forming trade relationships between each other. At the end of every turn the
 * trade treaty will call addTradeRevenue() method on the trader.
 */
public interface Trader  {

    /**
     * Add revenue to this trader as profits from a trade route. Note this may be negative!
     * @param amount The amount of trade revenue to add.
     */
    public void addFunds(int amount) throws ApplicationError ;
}