/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.spies;

import mot.common.lang.L;
import mot.common.technology.Technologies;
import mot.common.technology.Technology;
import mot.common.util.ApplicationError;
import mot.common.xml.XMLWriter;
import mot.engine.players.Player;

	
public class SpyRoleEspionage extends SpyRole {
	private Technology technology;

    public SpyRoleEspionage() {
    }

    public SpyRoleEspionage(Player owner, Player target, int qtySpies) {
        super(owner, target, qtySpies);
    }

    public String getTaskDescription() {
        return L.SPY_ROLE_ESPIONAGE;
    }

	protected String getElementName() { return "spy-role-espionage"; }
	
	protected void encode(XMLWriter writer) throws ApplicationError {
		super.encode(writer);
		if (technology != null) writer.addElement("technology", technology.getFullName());
	}

	public Technology getTechnology() {
		return technology;
	}

	public void setTechnology(Technology technology) {
		this.technology = technology;
	}
	
	public void setTechnology(String name) throws ApplicationError {
		this.technology = Technologies.getTechnology(name);
	}
	
}