/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.engine.technology;

import mot.common.technology.TechnologyBundle;
import mot.common.technology.Weapon;
import mot.common.technology.WeaponBayDetails;
import mot.engine.battles.BattleCraft;
import mot.engine.battles.BattleCraftController;
import mot.engine.battles.BattleCraftControllerBerserker;
import mot.engine.players.Player;

public class WeaponInstanceMindControlBerserker extends WeaponInstanceMindControlBase {

	public WeaponInstanceMindControlBerserker(TechnologyBundle tb, WeaponBayDetails weaponBayDetails) {
		super(tb, weaponBayDetails);
	}

	public WeaponInstanceMindControlBerserker(Weapon weapon, int qty, WeaponBayDetails weaponBayDetails) {
		super(weapon, qty, weaponBayDetails);
	}

	protected BattleCraftController createController(Player owner, BattleCraft targetCraft, int qtyTurns) {
		return new BattleCraftControllerBerserker(targetCraft, qtyTurns);
	}

	@Override
	public String getFailMessage() {
		return "Berserk - Failed";
	}

	@Override
	public String getSuccessMessage() {
		return "Berserk - Succeeded";
	}
	
	public boolean canAttackLocationAndHasCharge() { return false; }
}
