/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.server;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.JFrame;
import javax.swing.JLabel;

import mot.client.swing.common.PanelUtils;
import mot.common.util.ApplicationError;
import mot.common.util.Logger;
import mot.common.util.PropertyManager;

public class Main extends JFrame implements ActionListener {
    public Main() throws ApplicationError, IOException {
        super("Mot Server");
        setSize(new Dimension(100, 75));
        String port = PropertyManager.getMandatory("server.port");
        String msg = "Port : "+port;
        getContentPane().add( new JLabel(msg), BorderLayout.CENTER);
        getContentPane().add( PanelUtils.createButton("SHUTDOWN", this), BorderLayout.SOUTH);
        
        //new ServerSocketThread().start();
        setVisible(true);
   }

    public void actionPerformed(ActionEvent e) {
        System.exit(0);
    }
    
    public static final void main(String [] args) throws ApplicationError, IOException {
        Logger.clearContents();
        new Main();
    }
}