/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.test;

import junit.framework.Test;
import junit.framework.TestSuite;
import mot.common.util.Logger;
import mot.common.util.NameGenerator;

public class NameGeneratorTest extends TestBase {

    public static Test suite() {
        Logger.clearContents();
        Logger.setInMemory(false);
        TestSuite suite = new TestSuite(NameGeneratorTest.class);
        return suite;
    }

    public NameGeneratorTest(String name) {
        super(name);
    }

    protected void setUp() {
    }

    public void testDirection() throws Exception {
        NameGenerator ng = new NameGenerator();
        assertEquals("First name is prefix + 1", ng.getNextName("XX"), "XX1");
        assertEquals("Second name is prefix + 2", ng.getNextName("XX"), "XX2");
        assertEquals("Third name is prefix + 3", ng.getNextName("XX"), "XX3");
    }

    protected void tearDown() {

    }

    public static void main(String args[]) {
        Logger.clearContents();
        junit.textui.TestRunner.run(suite());
    }

}