/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.test;

/**
 * This class names and defines all technologies used in the test harness.
 */
    public class TestTechs  {
    // THEORY
        public static final String RESEARCH_LABI = "ResearchLabI";
        public static final String RESEARCH_LABII = "ResearchLabII";
        public static final String RESEARCH_LABIII = "ResearchLabIII";

    // HULLS
    public static final String FLYER30 = "Flyer30";
    public static final String FLYER60 = "Flyer60";
    public static final String FLYER100 = "Flyer100";
    public static final String FIGHTERI = "FighterI";
    public static final String BATTLE_STATIONI = "BattleStationI";
    public static final String BATTLE_STATIONII = "BattleStationII";
    public static final String SPACE_STATION = "SpaceStation";
    public static final String OUTPOST = "Outpost";
    
    // ENGINES
    public static final String FUSION25 = "Fusion25";
    public static final String FUSION25x = "Fusion25x";
    public static final String FUSION40 = "Fusion40";
    public static final String TELEPORT = "Teleport";
    
    // WEAPONS
    public static final String MASS_DRIVER1 = "MassDriver1";
    public static final String MISSILE6     = "Missile6";
    public static final String DROID_MINE   = "Droid Mine";
    public static final String MASS_DRIVER2 = "MassDriver2";
    public static final String FUSION_BEAM4 = "FusionBeam4";
    public static final String SHIELD_DRAIN = "ShieldDrain";
    public static final String GIRATOR      = "Girator";
    public static final String IMMOBILISER  = "Immobiliser";
    public static final String PSI_BLAST    = "PsiBlast";
    public static final String TRANSPORT    = "EquipmentTransport";
    public static final String DETONATOR    = "Detonator";
    public static final String PRIO_VIRUS   = "PrioVirus";
    public static final String PLAGUE   	= "Plague";
    public static final String TIME_WARP   	= "Time Warp Generator";
    public static final String DAMAGE_BOTS  = "Damage Bots";
    public static final String TROOP_TRANSPORT = "TroopTransport";
    public static final String FAKE_WEAPON 	= "FakeWeapon";
    public static final String SPACIAL_DISTORTION = "SpacialDistortion";
    public static final String BERSERKER    = "Berserker";
    public static final String MIND_CONTROL = "Mind Control";
    public static final String COWARDICE    = "Cowardice";
    public static final String RETARGET_BEAM= "Retarget Beam";
    public static final String TIME_WARP_BEAM = "Time Warp Beam";
    public static final String SALVAGE_BEAM = "Salvage Beam";

    // SHIELDS
    public static final String ENERGY10 = "Energy10";
    public static final String ENERGY20 = "Energy20";
    public static final String PSI_I    = "PsiI";
    public static final String CLOAK150 = "Cloak150";
    public static final String FAKE_SHIELD = "FakeShield";

    // COMPUTERS
    public static final String ELECTRONIC25 = "Electronic25";
    public static final String ELECTRONIC40 = "Electronic40";
    public static final String GALACTIC_EXCHANGEI = "GalacticExchangeI";
    public static final String GALAXY_NETI = "GalaxyNetI";

    // SCANNERS
    public static final String PHOTON100 = "Photon100";
    public static final String PHOTON150 = "Photon150";
    public static final String PHOTON200 = "Photon200";
    public static final String PHOTON400 = "Photon400";

    // SPECIALS
    public static final String AUGUMENTED_ENGINEI = "AugumentedEnginesI";
    public static final String SHIELD_MODULATORI = "ShieldModulatorI";
    public static final String SHIELD_MODULATORII = "ShieldModulatorII";
    public static final String COLONY_MODULE8 = "ColonyModule8";
    public static final String COLONY_MODULE7 = "ColonyModule7";
    public static final String SPACE_PODS10 = "SpacePods10";
    public static final String ARMOUR25 = "Armour25";
    public static final String ENERGY_AMPLIFIERI = "EnergyAmplifierI";
    public static final String TACTICAL_STATIONI = "TacticalStationI";
    public static final String TROOP_MODULE20 = "TroopModule20";
    public static final String FIGHTER_BAYS = "FighterBays";
    public static final String HOLO_EMITER = "HoloEmiter";
    public static final String FLEET_NEWS_SERVICE = "Fleet News Service";

    // BIOTECH
    public static final String TERRAFORMING10 = "Terraforming10";
    public static final String SPICE25 = "Spice25";
    public static final String BIO_CLOAKI = "BioCloak1";
    public static final String PSI10 = "Psi10";
    public static final String PSI20 = "Psi20";

    // FACTORIES
    public static final String FACT_COMPUTERISEDI = "Basic Computerised Factory";
    public static final String FACT_COMPUTERISEDII = "ComputerisedII";
    public static final String FACT_GALACTIC_NEWS = "Galactic News Service";

    // LABORITORIES
    public static final String LAB_COMPUTERISEDI = "ComputerisedI";
    public static final String LAB_COMPUTERISEDII = "ComputerisedII";

    // MODULES
    public static final String MODULE_HABITATI = "HabitatI";
    public static final String MODULE_HABITATII = "HabitatII";
    public static final String MODULE_ORE_EXTRACTOR = "Ore Extractor";
    public static final String MODULE_RESEARCH = "Research Module";
    
    // MISC
    public static final String MISC_MINE_FIELD = "Mine Field";
    public static final String MISC_PLANETARY_NEWS = "Planetary News Service";
    public static final String MISC_ASTEROIDS = "Asteroid Field Construction";
    public static final String MISC_PLANET_CONSTRUCTION = "Basic Planet Construction";
}