/*
 * Copyright (c) 2013-2019 Paul Davis
 *  
 * This file is part of Master of Tactics.
 *
 * Master of Tactics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Master of Tactics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Master of Tactics.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * @author Paul Davis
 */
package mot.test.demo;

import java.awt.Container;
import java.awt.Dimension;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.UIManager;

import mot.client.swing.common.MotGraphicsEnvironment;
import mot.client.swing.window.common.MotDialog;
import mot.client.swing.window.common.MotFrame;
import mot.client.swing.window.galaxy.GalaxyMapPanel;
import mot.common.util.ApplicationError;
import mot.common.util.PropertyManager;

public class TestFullScreenWithJInternal extends MotFrame {

    private TestFullScreenWithJInternal() throws ApplicationError {
        MotGraphicsEnvironment.setFullScreen(this);
		getContentPane().add( new GalaxyMapPanel(null, false, false));
		//getContentPane().add( new TechnologyPanel(Technologies.getScanner("Photon100")));
        
		//getContentPane().add(DialogIconTray.getInstance(), BorderLayout.SOUTH);
        //getContentPane().add(new TestInternalFrame(DialogIconTray.getInstance(), "TestInternalFrame"));
		//getContentPane().add(new TestInternalFrame(getContentPane(), "TestInternalFrame"), BorderLayout.SOUTH);
        new TestMotDialog(this, "TestMotFrame");
        
        setVisible(true);
    }
    
	public static void main(String[] args) throws Exception {
        UIManager.setLookAndFeel(PropertyManager.getMandatory("look.and.feel"));
        JFrame.setDefaultLookAndFeelDecorated(true);
        JDialog.setDefaultLookAndFeelDecorated(true);

        new TestFullScreenWithJInternal();
	}

}

class TestInternalFrame extends JInternalFrame {

	public TestInternalFrame(Container parent, String title) throws ApplicationError {
		super(title);
		getContentPane().add(new JLabel("My Internal Frame"));
		setLocation(50,100);
		setSize(new Dimension(100, 50));
		setVisible(true);
	}
	
}

class TestMotDialog extends MotDialog {

	public TestMotDialog(MotFrame parent, String title) throws ApplicationError {
		super(null, parent, title, new Dimension(100, 50));
		getContentPane().add(new JLabel("My Mot Frame"));
		setLocation(10,10);
	}
	
}
